/* XPLog -- an PPP-Dialer and Phonecost Program
 * Copyright (C) 1998 Stefan Kraus
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */ 

/* Winddow Title */
#define _xpl_wintitle             "XPLog V0.17 (c)'98'99'00 by Stefan Kraus"

/* Main GUI */
#define _xpl_user1                "User 1"
#define _xpl_user2                "User 2"
#define _xpl_user3                "User 3"

#define _xpl_begin                "Begin:"
#define _xpl_end                  "End:"
#define _xpl_duration             "Duration:"

#define _xpl_name                 "XPLog V0.17"
#define _xpl_copyright            "(c) '98 '99 '00"
#define _xpl_author               "Stefan Kraus"

#define _xpl_connect              "CONNECT"
#define _xpl_disconnect           "DISCONNECT"
#define _xpl_logfile              "LOG"
#define _xpl_info                 "INFO"
#define _xpl_phonebill            "PHONEBILL"

#define _xpl_quit                 "QUIT"
#define _xpl_pref                 "PREF"
#define _xpl_help                 "HELP"

/* Bug Reports */
#define _xpl_err1                 "ERROR !!!\nCan't start Connect Script or Command !!!"
#define _xpl_err2                 "ERROR !!!\nCan't start Disconnect SCript or Command !!!"
#define _xpl_err3                 "ERROR !!!\nCan't start User Script or Command !!!"
#define _xpl_err4                 "ERROR !!!\nCan't start this Function !!!\nRoot Only !!!"
#define _xpl_err5                 "WARNING !!!\nOld Config-File detected.\nPref-Save creates an new Config-File-Format."
#define _xpl_err6                 "IMPORTANT !!!\nRestart XPLog for the other GUI !!!\nYou must save the Config-File before\nrestarting XPLog." 
#define _xpl_err7                 "ERROR !!!\nCan't execute XPLog !!!\nCancel XPLog. Restart XPlog, please."
#define _xpl_err8                 "ATENTION !!!\nSnapshot was running !!!\n"

#define _xpl_exit                 "EXIT"
#define _xpl_delete               "DELETE"

/* Phonebill GUI */
#define _xpl_month1               "January"
#define _xpl_month2               "February"
#define _xpl_month3               "March"
#define _xpl_month4               "April"
#define _xpl_month5               "May"
#define _xpl_month6               "June"
#define _xpl_month7               "July"
#define _xpl_month8               "August"
#define _xpl_month9               "September"
#define _xpl_month10              "October"
#define _xpl_month11              "November"
#define _xpl_month12              "December"

#define _xpl_from                 "From:"
#define _xpl_to                   "To:"
#define _xpl_day1                 "Su"
#define _xpl_day2                 "Mo"
#define _xpl_day3                 "Tu"
#define _xpl_day4                 "We"
#define _xpl_day5                 "Th"
#define _xpl_day6                 "Fr"
#define _xpl_day7                 "Sa"

#define _xpl_calc                 "CALC"
#define _xpl_view                 "VIEW"
#define _xpl_statistic            "Statistic"
#define _xpl_stat                 "VIEW"
#define _xpl_stonline             "ONLINE"
#define _xpl_stcost               "COST"
#define _xpl_styear               "SNAP"
#define _xpl_snapshot             "SNAPSHOT"

#define _xpl_pbcprotocol          "Phonebill Calculation Protocol\n\n"
#define _xpl_range                "Range: "
#define _xpl_pbcpline             "Begin:              End:              Name:                  Online:      Costs:   5:00 - 21:00 Time\n"
#define _xpl_pbcbrate             "                                                             Basic Rate : "
#define _xpl_pbcrent              "                                                             Rent       : "
#define _xpl_pbccredit            "                                                             Account    : "
#define _xpl_pbcpremark           "Sorry, the Phonebill Calculation Protocol Creator is disabled !!!\n"
#define _xpl_pbcpscan             "scan logfile..."
#define _xpl_pbcptime             "Time: "
#define _xpl_pbcpcosts            "  Costs: "
#define _xpl_pbcpcostatic         "Cost-Statistic"
#define _xpl_pbcponstatic         "Online-Statistic"

/* Pref GUI */
#define _xpl_winpos               "Window Position:"

#define _xpl_ppptitle             "PPP-Scripts:"
#define _xpl_pppprovider          "Provider Name:"
#define _xpl_pppconnect           "Connect Script or Command:"
#define _xpl_pppdisconnect        "Disconnect Script or Command:"
#define _xpl_pppdefaults          "Defaults"

#define _xpl_usertitle            "User Buttons:"
#define _xpl_username             "Name:"
#define _xpl_userscript           "Script or Command:"

#define _xpl_future               "Future:"

#define _xpl_ratestitle           "Rates:"
#define _xpl_rateshour            "Hour"
#define _xpl_ratesmin             "Min."
#define _xpl_ratessec             "Sec."
#define _xpl_ratesprice           "Price."
#define _xpl_ratesinfo            "Info"
#define _xpl_ratesdefault         "Defaults"
#define _xpl_import               "Import"
#define _xpl_export               "Export"
#define _xpl_cut                  "Cut"
#define _xpl_ratescopy            "Copy"
#define _xpl_ratespaste           "Paste"
#define _xpl_ratesclear           "Clear"

#define _xpl_lititle              "LogFile Import"
#define _xpl_limport              "Import"
#define _xpl_save                 "SAVE"
#define _xpl_saveexit             "SAVE & EXIT"

#define _xpl_year                 "Year:"
#define _xpl_importlf             "Import LogFile"
#define _xpl_clearlf              "Clear .xplog.log"
#define _xpl_lfmessage            "Logfile Imported !!!"
#define _xpl_lfdelete             "Logfile deleted !!!"

#define _xpl_protectf             "Deal lock"
#define _xpl_protect              "edit lock"

/* Basic Rates */
#define _xpl_brate                "BasicRates:"
#define _xpl_basicrate            "Basic Rate:"
#define _xpl_prent                "Rent:"
#define _xpl_credit               "Account:"

/* Options */
#define _xpl_options              "Options:"
#define _xpl_pprotocol            "create Phonebill Protocol"
#define _xpl_oplogview            "display Phonebill Protocol after calculation"
#define _xpl_oplguia              "GUI A ( great )"
#define _xpl_oplguib              "GUI B ( small )"
#define _xpl_oplguic              "GUI C ( very small )"
#define _xpl_oplmess              "disable Messages"
#define _xpl_opmanual             "manual rates registration"                      /* unused */
#define _xpl_freemove             "XPLog free position (with windowborders)"
#define _xpl_iconify              "start XPLog as Icon"
#define _xpl_noredial             "no redial after connection lost" 

/* RatesInfo GUI */
#define _xpl_riday1               "Su\n30 Min."
#define _xpl_riday2               "Mo\n30 Min."
#define _xpl_riday3               "Tu\n30 Min."
#define _xpl_riday4               "We\n30 Min."
#define _xpl_riday5               "Th\n30 Min."
#define _xpl_riday6               "Fr\n30 Min."
#define _xpl_riday7               "Sa\n30 Min."
#define _xpl_riday8               "Su\n60 Min."
#define _xpl_riday9               "Mo\n60 Min."
#define _xpl_riday10              "Tu\n60 Min."
#define _xpl_riday11              "We\n60 Min."
#define _xpl_riday12              "Th\n60 Min."
#define _xpl_riday13              "Fr\n60 Min."
#define _xpl_riday14              "Sa\n60 Min."

/* Deal Protection GUI */
#define _xpl_prday1               "Su"
#define _xpl_prday2               "Mo"
#define _xpl_prday3               "Tu"
#define _xpl_prday4               "We"
#define _xpl_prday5               "Th"
#define _xpl_prday6               "Fr"
#define _xpl_prday7               "Sa"
