/* XPLog -- an PPP-Dialer and Phonecost Program
 * Copyright (C) 1998 Stefan Kraus
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "xplog.h"

/* Preference Datas */
extern struct xplog xplogs;
extern struct iedata xpie;

/* Pref GUI definition */
struct xplPref xplP;

/* HomeDirectory */
extern char xpuser[1024];

/* Ratestable Puffer */
int xpqday=1;

void Pref(void)
{
  /* Filehandle */
  FILE *fh;

  /* String working */
  const char *strdef;
  char APuffer[256],BPuffer[256];
  int a;

  /* Window Size */
  xplP.form = fl_bgn_form(FL_UP_BOX,704,397+22);
  
   fl_set_border_width(2);

   /* Window Position Field */
   xplP.QPLposition = fl_add_labelframe(FL_DOWN_FRAME,8,11,102,103,_xpl_winpos);
   xplP.QPLlo = fl_add_button(FL_NORMAL_BUTTON,12,16,30,30,"@7->");
   xplP.QPLro = fl_add_button(FL_NORMAL_BUTTON,76,16,30,30,"@9->");
   xplP.QPLlu = fl_add_button(FL_NORMAL_BUTTON,12,80,30,30,"@1->");
   xplP.QPLru = fl_add_button(FL_NORMAL_BUTTON,76,80,30,30,"@3->");

   /* Window Position */
   if (xplogs.winpos == 1)
     {
       strcpy(BPuffer,"@9->");
     }
   if (xplogs.winpos == 2)
     {
       strcpy(BPuffer,"@3->");
     }
   if (xplogs.winpos == 3)
     {
       strcpy(BPuffer,"@1->");
     }
   if (xplogs.winpos == 4)
     {
       strcpy(BPuffer,"@7->");
     }
   xplP.QPLcenter = fl_add_frame(FL_DOWN_FRAME,45,49,28,28,BPuffer);

    /* Script Sektion */
   xplP.QPLscript = fl_add_labelframe(FL_DOWN_FRAME,116,11,276,103,_xpl_ppptitle);
   xplP.QPLprovider = fl_add_input(FL_NORMAL_INPUT,118,25,272,20,_xpl_pppprovider);
   fl_set_object_lalign(xplP.QPLprovider,FL_ALIGN_TOP);
   fl_set_input_maxchars(xplP.QPLprovider,254);
   fl_set_input(xplP.QPLprovider,xplogs.provider);
   /* 252,20  -70 */
   xplP.QPLpppon = fl_add_input(FL_NORMAL_INPUT,118,59,252-70,20,_xpl_pppconnect);
   fl_set_object_lalign(xplP.QPLpppon,FL_ALIGN_TOP);
   fl_set_input_maxchars(xplP.QPLpppon,254);
   fl_set_input(xplP.QPLpppon,xplogs.pppstart);
   xplP.QPLselon = fl_add_button(FL_NORMAL_BUTTON,370-70,59,20,20,"@6<");

   xplP.QPLpppoff = fl_add_input(FL_NORMAL_INPUT,118,93,252-70,20,_xpl_pppdisconnect);
   fl_set_object_lalign(xplP.QPLpppoff,FL_ALIGN_TOP);
   fl_set_input_maxchars(xplP.QPLpppoff,254);
   fl_set_input(xplP.QPLpppoff,xplogs.pppstop);
   xplP.QPLseloff = fl_add_button(FL_NORMAL_BUTTON,370-70,93,20,20,"@6<");

   xplP.QPLbar = fl_add_frame(FL_UP_FRAME,325,69,2,34,"");
   xplP.QPLdeal = fl_add_button(FL_NORMAL_BUTTON,332,76,58,20,_xpl_pppdefaults);

   /* User Buttons */
   xplP.QPLfuser = fl_add_labelframe(FL_DOWN_FRAME,8,124,384,84,_xpl_usertitle);
   xplP.QPLusera = fl_add_input(FL_NORMAL_INPUT,10,142,80,20,_xpl_username);
   fl_set_object_lalign(xplP.QPLusera,FL_ALIGN_TOP);
   fl_set_input_maxchars(xplP.QPLusera,19);
   fl_set_input(xplP.QPLusera,xplogs.usera);
   xplP.QPLuseraa = fl_add_input(FL_NORMAL_INPUT,92,142,278,20,_xpl_userscript);
   fl_set_object_lalign(xplP.QPLuseraa,FL_ALIGN_TOP);
   fl_set_input_maxchars(xplP.QPLuseraa,254);
   fl_set_input(xplP.QPLuseraa,xplogs.useraa);
   xplP.QPLsela = fl_add_button(FL_NORMAL_BUTTON,370,142,20,20,"@6<");
   xplP.QPLuserb = fl_add_input(FL_NORMAL_INPUT,10,164,80,20,"");
   fl_set_input_maxchars(xplP.QPLuserb,19);
   fl_set_input(xplP.QPLuserb,xplogs.userb);
   xplP.QPLuserbb = fl_add_input(FL_NORMAL_INPUT,92,164,278,20,"");
   fl_set_input_maxchars(xplP.QPLuserbb,254);
   fl_set_input(xplP.QPLuserbb,xplogs.userbb);
   xplP.QPLselb = fl_add_button(FL_NORMAL_BUTTON,370,164,20,20,"@6<");
   xplP.QPLuserc = fl_add_input(FL_NORMAL_INPUT,10,186,80,20,"");
   fl_set_input_maxchars(xplP.QPLuserc,19);
   fl_set_input(xplP.QPLuserc,xplogs.userc);
   xplP.QPLusercc = fl_add_input(FL_NORMAL_INPUT,92,186,278,20,"");
   fl_set_input_maxchars(xplP.QPLusercc,254);
   fl_set_input(xplP.QPLusercc,xplogs.usercc);
   xplP.QPLselc = fl_add_button(FL_NORMAL_BUTTON,370,186,20,20,"@6<");

   /* Options */
   xplP.QPLfxframe = fl_add_labelframe(FL_DOWN_FRAME,8,218,384,141+22,_xpl_options);
   xplP.QPLpp = fl_add_lightbutton(FL_PUSH_BUTTON,10,226,380,20,_xpl_pprotocol);
   fl_set_button(xplP.QPLpp,xplogs.PBProt);
   xplP.QPLoplogfile = fl_add_lightbutton(FL_PUSH_BUTTON,10,248,380,20,_xpl_oplogview);
   fl_set_button(xplP.QPLoplogfile,xplogs.PBView);
   xplP.QPLguia = fl_add_lightbutton(FL_PUSH_BUTTON,10,270,127,20,_xpl_oplguia);
   xplP.QPLguib = fl_add_lightbutton(FL_PUSH_BUTTON,137,270,126,20,_xpl_oplguib);
   xplP.QPLguic = fl_add_lightbutton(FL_PUSH_BUTTON,263,270,127,20,_xpl_oplguic);
   if (xplogs.xpgui == 0)
     {
       fl_set_button(xplP.QPLguia,1);
       fl_set_button(xplP.QPLguib,0);
       fl_set_button(xplP.QPLguic,0);
     }
   if (xplogs.xpgui == 1)
     {
       fl_set_button(xplP.QPLguia,0);
       fl_set_button(xplP.QPLguib,1);
       fl_set_button(xplP.QPLguic,0);
     }
   if (xplogs.xpgui == 2)
     {
       fl_set_button(xplP.QPLguia,0);
       fl_set_button(xplP.QPLguib,0);
       fl_set_button(xplP.QPLguic,1);
     }
   xplP.QPLmess = fl_add_lightbutton(FL_PUSH_BUTTON,10,292,380,20,_xpl_oplmess);
   fl_set_button(xplP.QPLmess,xplogs.xpmess);
   xplP.QPLicon = fl_add_lightbutton(FL_PUSH_BUTTON,10,314,380,20,_xpl_iconify);
   fl_set_button(xplP.QPLicon,xplogs.iconify);
   xplP.QPLfreemove = fl_add_lightbutton(FL_PUSH_BUTTON,10,336,380,20,_xpl_freemove);
   fl_set_button(xplP.QPLfreemove,xplogs.FreeMove);
   xplP.QPLnoredial = fl_add_lightbutton(FL_PUSH_BUTTON,10,358,380,20,_xpl_noredial);
   fl_set_button(xplP.QPLnoredial,xplogs.noredial);

   /* Rate Frame */
   xplP.QPLrateframe = fl_add_labelframe(FL_DOWN_FRAME,398,11,298,240,_xpl_ratestitle);
   xplP.QPLhour[1] = fl_add_input(FL_INT_INPUT,402,31,30,20,_xpl_rateshour);
   fl_set_object_lalign(xplP.QPLhour[1],FL_ALIGN_TOP);
   xplP.QPLmin[1] = fl_add_input(FL_INT_INPUT,434,31,30,20,_xpl_ratesmin);
   fl_set_object_lalign(xplP.QPLmin[1],FL_ALIGN_TOP);
   xplP.QPLtakt[1] = fl_add_input(FL_FLOAT_INPUT,470,31,50,20,_xpl_ratessec);
   fl_set_object_lalign(xplP.QPLtakt[1],FL_ALIGN_TOP);
   xplP.QPLprice[1] = fl_add_input(FL_FLOAT_INPUT,526,31,50,20,_xpl_ratesprice);
   fl_set_object_lalign(xplP.QPLprice[1],FL_ALIGN_TOP);

   for (a=2 ; a<=10 ; a++)
     {
       xplP.QPLhour[a] = fl_add_input(FL_INT_INPUT,402,31+((a-1)*22),30,20,"");
       xplP.QPLmin[a] = fl_add_input(FL_INT_INPUT,434,31+((a-1)*22),30,20,"");
       xplP.QPLtakt[a] = fl_add_input(FL_FLOAT_INPUT,470,31+((a-1)*22),50,20,"");
       xplP.QPLprice[a] = fl_add_input(FL_FLOAT_INPUT,526,31+((a-1)*22),50,20,"");
     }

   xplP.QPLweekday[1] = fl_add_button(FL_NORMAL_BUTTON,582,31,50,20,_xpl_day1);
   xplP.QPLweekday[2] = fl_add_button(FL_NORMAL_BUTTON,582,53,50,20,_xpl_day2);
   xplP.QPLweekday[3] = fl_add_button(FL_NORMAL_BUTTON,582,75,50,20,_xpl_day3);
   xplP.QPLweekday[4] = fl_add_button(FL_NORMAL_BUTTON,582,97,50,20,_xpl_day4);
   xplP.QPLweekday[5] = fl_add_button(FL_NORMAL_BUTTON,582,119,50,20,_xpl_day5);
   xplP.QPLweekday[6] = fl_add_button(FL_NORMAL_BUTTON,582,141,50,20,_xpl_day6);
   xplP.QPLweekday[7] = fl_add_button(FL_NORMAL_BUTTON,582,163,50,20,_xpl_day7);

   xplP.QPLrinfo = fl_add_button(FL_NORMAL_BUTTON,582,185,50,20,_xpl_ratesinfo);
   xplP.QPLrates = fl_add_button(FL_NORMAL_BUTTON,582,207,50,20,_xpl_ratesdefault);
   fl_set_object_color(xplP.QPLrates,FL_DARKGOLD,FL_YELLOW);
   xplP.QPLimport = fl_add_button(FL_NORMAL_BUTTON,582,229,50,20,_xpl_import);
   xplP.QPLexport = fl_add_button(FL_NORMAL_BUTTON,634,229,50,20,_xpl_export);

   xplP.QPLjoin = fl_add_frame(FL_UP_FRAME,636,41,2,132,"");
   xplP.QPLcut = fl_add_button(FL_NORMAL_BUTTON,642,64,50,20,_xpl_cut);
   xplP.QPLcopy = fl_add_button(FL_NORMAL_BUTTON,642,86,50,20,_xpl_ratescopy);
   xplP.QPLpaste = fl_add_button(FL_NORMAL_BUTTON,642,108,50,20,_xpl_ratespaste);
   xplP.QPLclear = fl_add_button(FL_NORMAL_BUTTON,642,130,50,20,_xpl_ratesclear);

   /* Basic Rates */
   xplP.QPLbrate = fl_add_labelframe(FL_DOWN_FRAME,398,263,140,96+22,_xpl_brate);
   xplP.QPLbasicrate = fl_add_input(FL_FLOAT_INPUT,475,271,60,20,_xpl_basicrate);
   xplP.QPLprent = fl_add_input(FL_FLOAT_INPUT,475,293,60,20,_xpl_prent);
   xplP.QPLcredit = fl_add_input(FL_FLOAT_INPUT,475,315,60,20,_xpl_credit);

   /* Logfile Converter 96+22 58 */
   xplP.QPLlcframe = fl_add_labelframe(FL_DOWN_FRAME,544,263,152,30,_xpl_lititle);
   xplP.QPLconvert = fl_add_button(FL_NORMAL_BUTTON,546,271,148,20,_xpl_limport);

   /* Deal Protection 12 */
   xplP.QPLprotectf = fl_add_labelframe(FL_DOWN_FRAME,544,305,152,30,_xpl_protectf);
   xplP.QPLprotect = fl_add_button(FL_NORMAL_BUTTON,546,313,148,20,_xpl_protect);

   /* Control-Panel 8,371 */
   xplP.QPLcontrol = fl_add_frame(FL_DOWN_FRAME,8,365+22,688,24,"");
   xplP.QPLsave = fl_add_button(FL_NORMAL_BUTTON,202,367+22,60,20,_xpl_save);
   xplP.QPLsaveexit = fl_add_button(FL_NORMAL_BUTTON,302,367+22,100,20,_xpl_saveexit);
   xplP.QPLexit = fl_add_button(FL_NORMAL_BUTTON,442,367+22,60,20,_xpl_exit);
   xplP.QPLhelp = fl_add_button(FL_NORMAL_BUTTON,632,367+22,60,20,_xpl_help);

  fl_end_form();

  fl_set_object_color(xplP.QPLweekday[xpqday],FL_SLATEBLUE,FL_BLUE);

  setweekday(xpqday);

  strdef = DoubleStr(xplogs.xpbr);
  strcpy(APuffer,strdef);
  fl_set_input(xplP.QPLbasicrate,APuffer);
  strdef = DoubleStr(xplogs.xprent);
  strcpy(APuffer,strdef);
  fl_set_input(xplP.QPLprent,APuffer);
  strdef = DoubleStr(xplogs.xpcredit);
  strcpy(APuffer,strdef);
  fl_set_input(xplP.QPLcredit,APuffer);

  fl_show_form(xplP.form,FL_PLACE_CENTER,FL_TRANSIENT,_xpl_wintitle);

  xplP.ready=0;
  while (xplP.ready == 0)
    {
      xplP.obj = fl_do_forms();

      /* FileSelector Array */
      if (xplP.obj == xplP.QPLselon)
        {
          strdef = fl_show_fselector("",xplogs.pppstart,"*","");
          if (strdef != NULL)
            {
              strcpy(xplogs.pppstart,strdef);
              strcat(xplogs.pppstart," &");
              fl_set_input(xplP.QPLpppon,xplogs.pppstart);
            }
        }
      if (xplP.obj == xplP.QPLseloff)
        {
          strdef = fl_show_fselector("",xplogs.pppstop,"*","");
          if (strdef != NULL)
            {
              strcpy(xplogs.pppstop,strdef);
              strcat(xplogs.pppstop," &");
              fl_set_input(xplP.QPLpppoff,xplogs.pppstop);
            }
        }
      if (xplP.obj == xplP.QPLsela)
        {
          strdef = fl_show_fselector("",xplogs.useraa,"*","");
          if (strdef != NULL)
            {
              strcpy(xplogs.useraa,strdef);
              strcat(xplogs.useraa," &");
              fl_set_input(xplP.QPLuseraa,xplogs.useraa);

              strcpy(BPuffer,strdef);
              if (strcmp(BPuffer,"")!=0)
                {
                  strdef = strrchr(BPuffer,47);
                  strcpy(BPuffer,strdef);
                  strdef = strMids(BPuffer,2,strlen(BPuffer)-1);
                  strcpy(xplogs.usera,strdef);
                  fl_set_input(xplP.QPLusera,xplogs.usera);
                }
            }
        }
      if (xplP.obj == xplP.QPLselb)
        {
          strdef = fl_show_fselector("",xplogs.userbb,"*","");
          if (strdef != NULL)
            {
              strcpy(xplogs.userbb,strdef);
              strcat(xplogs.userbb," &");
              fl_set_input(xplP.QPLuserbb,xplogs.userbb);

              strcpy(BPuffer,strdef);
              if (strcmp(BPuffer,"")!=0)
                {
                  strdef = strrchr(BPuffer,47);
                  strcpy(BPuffer,strdef);
                  strdef = strMids(BPuffer,2,strlen(BPuffer)-1);
                  strcpy(xplogs.userb,strdef);
                  fl_set_input(xplP.QPLuserb,xplogs.userb);
                }
            }
        }
      if (xplP.obj == xplP.QPLselc)
        {
          strdef = fl_show_fselector("",xplogs.usercc,"*","");
          if (strdef != NULL)
            {
              strcpy(xplogs.usercc,strdef);
              strcat(xplogs.usercc," &");
              fl_set_input(xplP.QPLusercc,xplogs.usercc);

              strcpy(BPuffer,strdef);
              if (strcmp(BPuffer,"")!=0)
                {
                  strdef = strrchr(BPuffer,47);
                  strcpy(BPuffer,strdef);
                  strdef = strMids(BPuffer,2,strlen(BPuffer)-1);
                  strcpy(xplogs.userc,strdef);
                  fl_set_input(xplP.QPLuserc,xplogs.userc);
                }
            }
        }

      /* Left/Up */
      if (xplP.obj == xplP.QPLlo)
        {
          fl_hide_object(xplP.QPLcenter);
          fl_set_object_label(xplP.QPLcenter,"@7->");
          fl_show_object(xplP.QPLcenter);
          xplogs.winpos=4;
        }
      /* Right/Up */
      if (xplP.obj == xplP.QPLro)
        {
          fl_hide_object(xplP.QPLcenter);
          fl_set_object_label(xplP.QPLcenter,"@9->");
          fl_show_object(xplP.QPLcenter);
          xplogs.winpos=1;
        }
      /* Right/Down */
      if (xplP.obj == xplP.QPLru)
        {
          fl_hide_object(xplP.QPLcenter);
          fl_set_object_label(xplP.QPLcenter,"@3->");
          fl_show_object(xplP.QPLcenter);
          xplogs.winpos=2;
        }
      /* Left/Down */
      if (xplP.obj == xplP.QPLlu)
        {
          fl_hide_object(xplP.QPLcenter);
          fl_set_object_label(xplP.QPLcenter,"@1->");
          fl_show_object(xplP.QPLcenter);
          xplogs.winpos=3;
        }

      /* PPP-Defaults */
      if (xplP.obj == xplP.QPLdeal)
        {
          fl_deactivate_form(xplP.form);
          DealPrg();
          fl_activate_form(xplP.form);
          fl_set_input(xplP.QPLpppon,xplogs.pppstart);
          fl_set_input(xplP.QPLpppoff,xplogs.pppstop);
        }

      /* Provider-Name */
      strdef=fl_get_input(xplP.QPLprovider);
      strcpy(xplogs.provider,strdef);
      /* PPPOn */
      strdef=fl_get_input(xplP.QPLpppon);
      strcpy(xplogs.pppstart,strdef);
      /* PPPOff */
      strdef=fl_get_input(xplP.QPLpppoff);
      strcpy(xplogs.pppstop,strdef);
      /* User-Buttons */
      strdef=fl_get_input(xplP.QPLusera);
      strcpy(xplogs.usera,strdef);
      strdef=fl_get_input(xplP.QPLuseraa);
      strcpy(xplogs.useraa,strdef);
      strdef=fl_get_input(xplP.QPLuserb);
      strcpy(xplogs.userb,strdef);
      strdef=fl_get_input(xplP.QPLuserbb);
      strcpy(xplogs.userbb,strdef);
      strdef=fl_get_input(xplP.QPLuserc);
      strcpy(xplogs.userc,strdef);
      strdef=fl_get_input(xplP.QPLusercc);
      strcpy(xplogs.usercc,strdef);

      /* Phonebill Protocol */
      if (xplP.obj == xplP.QPLpp)
        {
          xplogs.PBProt = fl_get_button(xplP.QPLpp);
          fl_set_button(xplP.QPLpp,xplogs.PBProt);
          if (xplogs.PBProt==0)
            {
              xplogs.PBView=0;
              fl_set_button(xplP.QPLoplogfile,xplogs.PBView);
            }
        }

      /* View Phonebill Protocol */
      if (xplP.obj == xplP.QPLoplogfile)
        {
          xplogs.PBView = fl_get_button(xplP.QPLoplogfile);
          fl_set_button(xplP.QPLoplogfile,xplogs.PBView);
          if (xplogs.PBView == 1)
            {
              xplogs.PBProt=1;
              fl_set_button(xplP.QPLpp,xplogs.PBProt);
            }
        }

      /* alternative GUI */
      if (xplP.obj == xplP.QPLguia)
        {
          xplogs.xpgui=0;
          fl_set_button(xplP.QPLguia,1);
          fl_set_button(xplP.QPLguib,0);
          fl_set_button(xplP.QPLguic,0);
        }
      if (xplP.obj == xplP.QPLguib)
        {
          xplogs.xpgui=1;
          fl_set_button(xplP.QPLguia,0);
          fl_set_button(xplP.QPLguib,1);
          fl_set_button(xplP.QPLguic,0);
        }
      if (xplP.obj == xplP.QPLguic)
        {
          xplogs.xpgui=2;
          fl_set_button(xplP.QPLguia,0);
          fl_set_button(xplP.QPLguib,0);
          fl_set_button(xplP.QPLguic,1);
        }

      /* disabple Messages */
      if (xplP.obj == xplP.QPLmess)
        {
          xplogs.xpmess = fl_get_button(xplP.QPLmess);
          fl_set_button(xplP.QPLmess,xplogs.xpmess);
        }

      /* Iconify */
      if (xplP.obj == xplP.QPLicon)
        {
          xplogs.iconify = fl_get_button(xplP.QPLicon);
          fl_set_button(xplP.QPLicon,xplogs.iconify);
        }

      /* FreeMove */
      if (xplP.obj == xplP.QPLfreemove)
        {
          xplogs.FreeMove = fl_get_button(xplP.QPLfreemove);
          fl_set_button(xplP.QPLfreemove,xplogs.FreeMove);
        }

      /* NoReDial */
      if (xplP.obj == xplP.QPLnoredial)
        {
          xplogs.noredial = fl_get_button(xplP.QPLnoredial);
          fl_set_button(xplP.QPLnoredial,xplogs.noredial);
        }

      /* manual rates registration */
      if (xplP.obj == xplP.QPLmanual)
        {
          xplogs.xpmanual = fl_get_button(xplP.QPLmanual);
          fl_set_button(xplP.QPLmanual,xplogs.xpmanual);
        }

      /* Convert */
      if (xplP.obj == xplP.QPLconvert)
        {

          if (strcmp(xpuser,"/root")==0)
            {
              fl_deactivate_form(xplP.form);
              lfconvert();
              fl_activate_form(xplP.form);
            }
          else
            {
              fl_deactivate_form(xplP.form);
              Viewerror(4);
              fl_activate_form(xplP.form);
            }
        }

      /* Deal Protection */
      if (xplP.obj == xplP.QPLprotect)
      {
         fl_deactivate_form(xplP.form);
         ProtectEd(0);
         fl_activate_form(xplP.form);
      }

      /* Save Pref */
      if ((xplP.obj == xplP.QPLsave) || (xplP.obj == xplP.QPLsaveexit))
        {
          /* Window Position Correction */
          xplogs.xpos=xplogs.xpos-xplogs.xborder;
          xplogs.ypos=xplogs.ypos-xplogs.yborder;

          /* create preffile path */
          strcpy(APuffer,xpuser);
          strcat(APuffer,"/.xpl.rc");
          /* write into logfile */
          if ((fh=fopen(APuffer,"w"))!=NULL)
            {
              strcpy(BPuffer,"XPLOG1.03\n");
              a=fputs(BPuffer,fh);

              a=fwrite(&xplogs,sizeof(xplog),1,fh);

              fclose(fh);
              chmod(APuffer,S_IRUSR|S_IWUSR);
            }
          xplogs.xpos=xplogs.xpos+xplogs.xborder;
          xplogs.ypos=xplogs.ypos+xplogs.yborder;
        }

      /* Loop - Weekdays */
      for (a=1 ; a<=7 ; a++)
        {
          if (xplP.QPLweekday[a] == xplP.obj)
            {
              fl_set_object_color(xplP.QPLweekday[xpqday],FL_COL1,FL_MCOL);
              xpqday=a;
              setweekday(xpqday);
              fl_set_object_color(xplP.QPLweekday[xpqday],FL_SLATEBLUE,FL_BLUE);
            }
        }

      /* Cut */
      if (xplP.obj == xplP.QPLcut)
        {
          for (a=1 ; a<=10 ; a++)
            {
              xplogs.xpqh[a+80]=xplogs.xpqh[a+(10*(xpqday-1))];
              xplogs.xpqh[a+(10*(xpqday-1))]=0;
              xplogs.xpqm[a+80]=xplogs.xpqm[a+(10*(xpqday-1))];
              xplogs.xpqm[a+(10*(xpqday-1))]=0;
              xplogs.xpqr[a+80]=xplogs.xpqr[a+(10*(xpqday-1))];
              xplogs.xpqr[a+(10*(xpqday-1))]=0;
              xplogs.xpqc[a+80]=xplogs.xpqc[a+(10*(xpqday-1))];
              xplogs.xpqc[a+(10*(xpqday-1))]=0;
            }
          setweekday(xpqday);
        }

      /* Copy */
      if (xplP.obj == xplP.QPLcopy)
        {
          for (a=1 ; a<=10 ; a++)
            {
              xplogs.xpqh[a+80]=xplogs.xpqh[a+(10*(xpqday-1))];
              xplogs.xpqm[a+80]=xplogs.xpqm[a+(10*(xpqday-1))];
              xplogs.xpqr[a+80]=xplogs.xpqr[a+(10*(xpqday-1))];
              xplogs.xpqc[a+80]=xplogs.xpqc[a+(10*(xpqday-1))];
            }
        }

      /* Paste */
      if (xplP.obj == xplP.QPLpaste)
        {
          for (a=1 ; a<=10 ; a++)
            {
              xplogs.xpqh[a+(10*(xpqday-1))]=xplogs.xpqh[a+80];
              xplogs.xpqm[a+(10*(xpqday-1))]=xplogs.xpqm[a+80];
              xplogs.xpqr[a+(10*(xpqday-1))]=xplogs.xpqr[a+80];
              xplogs.xpqc[a+(10*(xpqday-1))]=xplogs.xpqc[a+80];
            }
          setweekday(xpqday);
        }

      /* Clear */
      if (xplP.obj == xplP.QPLclear)
        {
          for (a=1 ; a<=10 ; a++)
            {
              xplogs.xpqh[a+(10*(xpqday-1))]=0;
              xplogs.xpqm[a+(10*(xpqday-1))]=0;
              xplogs.xpqr[a+(10*(xpqday-1))]=0;
              xplogs.xpqc[a+(10*(xpqday-1))]=0;
            }
          setweekday(xpqday);
        }

      /* Info */
      if (xplP.obj == xplP.QPLrinfo)
        {
          fl_deactivate_form(xplP.form);
          ratesinfo();
          fl_activate_form(xplP.form);
        }

      /* Defaults */
      if (xplP.obj == xplP.QPLrates)
        {
          fl_deactivate_form(xplP.form);
          getrates();
          fl_activate_form(xplP.form);
          setweekday(xpqday);
        }

      /* Import */
      if (xplP.obj == xplP.QPLimport)
        {
          fl_deactivate_form(xplP.form);
          importrates();
          fl_activate_form(xplP.form);
          setweekday(xpqday);
        }

      /* Export */
      if (xplP.obj == xplP.QPLexport)
        {
          fl_deactivate_form(xplP.form);
          exportrates();
          fl_activate_form(xplP.form);
        }

      /* Help */
      if (xplP.obj == xplP.QPLhelp)
        {
          fl_deactivate_form(xplP.form);
          Viewhelp();
          fl_activate_form(xplP.form);
        }

      /* Basic Rates */
      if (xplP.obj == xplP.QPLbasicrate)
        {
          strdef = fl_get_input(xplP.QPLbasicrate);
          strcpy(APuffer,strdef);
          xplogs.xpbr = atof(APuffer);
          strdef = DoubleStr(xplogs.xpbr);
          strcpy(APuffer,strdef);
          fl_set_input(xplP.QPLbasicrate,APuffer);
        }

      /* Phone Rent */
      if (xplP.obj == xplP.QPLprent)
        {
          strdef = fl_get_input(xplP.QPLprent);
          strcpy(APuffer,strdef);
          xplogs.xprent = atof(APuffer);
          strdef = DoubleStr(xplogs.xprent);
          strcpy(APuffer,strdef);
          fl_set_input(xplP.QPLprent,APuffer);
        }

      /* Credit */
      if (xplP.obj == xplP.QPLcredit)
        {
          strdef = fl_get_input(xplP.QPLcredit);
          strcpy(APuffer,strdef);
          xplogs.xpcredit = atof(APuffer);
          strdef = DoubleStr(xplogs.xpcredit);
          strcpy(APuffer,strdef);
          fl_set_input(xplP.QPLcredit,APuffer);
        }

      /* Loop 2 - Hour / Min / Sec / Price */
      for (a=1 ; a<=10 ; a++)
        {
          strcpy(APuffer,"");
          if (xplP.QPLhour[a] == xplP.obj)
            {
              strdef = fl_get_input(xplP.QPLhour[a]);
              strcpy(APuffer,strdef);
              xplogs.xpqh[a+(10*(xpqday-1))] = atoi(APuffer);
              if (a==1)
                {
                  xplogs.xpqh[a+(10*(xpqday-1))] = 0;
                  setweekday(xpqday);
                }
            }
          if (xplP.QPLmin[a] == xplP.obj)
            {
              strdef = fl_get_input(xplP.QPLmin[a]);
              strcpy(APuffer,strdef);
              xplogs.xpqm[a+(10*(xpqday-1))] = atoi(APuffer);
              if (a==1)
                {
                  xplogs.xpqm[a+(10*(xpqday-1))] = 0;
                  setweekday(xpqday);
                }
            }
          if (xplP.QPLtakt[a] == xplP.obj)
            {
              strdef = fl_get_input(xplP.QPLtakt[a]);
              strcpy(APuffer,strdef);
              xplogs.xpqr[a+(10*(xpqday-1))] = atof(APuffer);
            }
          if (xplP.QPLprice[a] == xplP.obj)
            {
              strdef = fl_get_input(xplP.QPLprice[a]);
              strcpy(APuffer,strdef);
              xplogs.xpqc[a+(10*(xpqday-1))] = atof(APuffer);
              strdef = DoubleStr(xplogs.xpqc[a+(10*(xpqday-1))]);
              strcpy(APuffer,strdef);
              fl_set_input(xplP.QPLprice[a],APuffer);
            }
        }

      /* Exit */
      if ((xplP.obj == xplP.QPLexit) || (xplP.obj == xplP.QPLsaveexit))
        {
          xplP.ready=1;
        }

    }

  /* Loop 2 - Hour / Min / Sec / Price */
  for (a=1 ; a<=10 ; a++)
    {
      strcpy(APuffer,"");
      strdef = fl_get_input(xplP.QPLhour[a]);
      strcpy(APuffer,strdef);
      xplogs.xpqh[a+(10*(xpqday-1))] = atoi(APuffer);
      if (a==1)
        {
          xplogs.xpqh[a+(10*(xpqday-1))] = 0;
        }
      strdef = fl_get_input(xplP.QPLmin[a]);
      strcpy(APuffer,strdef);
      xplogs.xpqm[a+(10*(xpqday-1))] = atoi(APuffer);
      if (a==1)
        {
          xplogs.xpqm[a+(10*(xpqday-1))] = 0;
        }
      strdef = fl_get_input(xplP.QPLtakt[a]);
      strcpy(APuffer,strdef);
      xplogs.xpqr[a+(10*(xpqday-1))] = atof(APuffer);
      strdef = fl_get_input(xplP.QPLprice[a]);
      strcpy(APuffer,strdef);
      xplogs.xpqc[a+(10*(xpqday-1))] = atof(APuffer);
    }

  strdef = fl_get_input(xplP.QPLbasicrate);
  strcpy(APuffer,strdef);
  xplogs.xpbr = atof(APuffer);
  strdef = fl_get_input(xplP.QPLprent);
  strcpy(APuffer,strdef);
  xplogs.xprent = atof(APuffer);
  strdef = fl_get_input(xplP.QPLcredit);
  strcpy(APuffer,strdef);
  xplogs.xpcredit = atof(APuffer);

  fl_hide_form(xplP.form);

  return;

}

void initrates(void)
{
  int a,b;

  /* Init */
  for (a=1 ; a<=10 ; a++)
    {
      for (b=1 ; b<=9 ; b++)
        {
          xplogs.xpqh[a+(10*(b-1))]=0;
          xplogs.xpqm[a+(10*(b-1))]=0;
          xplogs.xpqr[a+(10*(b-1))]=0;
          xplogs.xpqc[a+(10*(b-1))]=0;
        }
    }
  return;
}

void setweekday(int a)
{
  int b;
  const char *strdat;
  char APuffer[256];

  for (b=1 ; b<=10 ; b++)
    {
      strdat = IntStr(xplogs.xpqh[b+(10*(a-1))]);
      strcpy(APuffer,strdat);
      fl_set_input(xplP.QPLhour[b],APuffer);

      strdat = IntStr(xplogs.xpqm[b+(10*(a-1))]);
      strcpy(APuffer,strdat);
      fl_set_input(xplP.QPLmin[b],APuffer);

      strdat = DoubleStr(xplogs.xpqr[b+(10*(a-1))]);
      strcpy(APuffer,strdat);
      fl_set_input(xplP.QPLtakt[b],APuffer);

      strdat = DoubleStr(xplogs.xpqc[b+(10*(a-1))]);
      strcpy(APuffer,strdat);
      fl_set_input(xplP.QPLprice[b],APuffer);
    }
   return;
}

void DealPrg(void)
{
  /* GetRates GUI definition */
  struct xplDealPrg xplDP;

  int a;

  xplDP.form = fl_bgn_form(FL_UP_BOX,350,350);

   fl_set_border_width(2);

   /* Browser */
   xplDP.viewfield = fl_add_browser(FL_HOLD_BROWSER,8,8,334,306,"");
   fl_set_browser_fontsize(xplDP.viewfield,FL_NORMAL_FONT);
   fl_set_browser_fontstyle(xplDP.viewfield,FL_FIXED_STYLE);

   /* Rates Entrys */
   fl_addto_browser(xplDP.viewfield,"@cwvDeal");
   fl_addto_browser(xplDP.viewfield,"@cKPPP");

   xplDP.QPLframe = fl_add_frame(FL_DOWN_FRAME,10,316,330,24,"");
   xplDP.QPLexit = fl_add_button(FL_NORMAL_BUTTON,145,318,60,20,_xpl_exit);

  fl_end_form();

  fl_show_form(xplDP.form,FL_PLACE_CENTER,FL_TRANSIENT,_xpl_wintitle);

  xplDP.ready=0;
  while (xplDP.ready == 0)
    {
      xplDP.obj = fl_do_forms();

      /* Rates */
      if (xplDP.obj == xplDP.viewfield)
        {
          a = fl_get_browser(xplDP.viewfield);

          if (a == 1)
            {
               /* /usr/bin/ */
               strcpy(xplogs.pppstart,"wvdial &");
               strcpy(xplogs.pppstop,"killall -TERM wvdial");
            }
          else if (a == 2)
            {
               strcpy(xplogs.pppstart,"kppp &");
               strcpy(xplogs.pppstop,"killall -TERM kppp");
            }
        }

      /* Exit */
      if (xplDP.obj == xplDP.QPLexit)
        {
          xplDP.ready=1;
        }

    }

  fl_hide_form(xplDP.form);

  return;
}

void getrates(void)
{
   /* GetRates GUI definition */
   struct xplGetRates xpGR;

   int a;

   xpGR.form = fl_bgn_form(FL_UP_BOX,350,350);

   fl_set_border_width(2);

   /* Browser */
   xpGR.viewfield = fl_add_browser(FL_HOLD_BROWSER,8,8,334,306,"");
   fl_set_browser_fontsize(xpGR.viewfield,FL_NORMAL_FONT);
   fl_set_browser_fontstyle(xpGR.viewfield,FL_FIXED_STYLE);

   /* Rates Entrys */
   fl_addto_browser(xpGR.viewfield,"DE T-Online CityCall                1. 3.98-"); /*  1 */
   fl_addto_browser(xpGR.viewfield,"DE T-Online RegioCall               1. 3.98-"); /*  2 */
   fl_addto_browser(xpGR.viewfield,"DE T-Online GermanCall              1. 3.98-"); /*  3 */
   fl_addto_browser(xpGR.viewfield,"DE T-Online CityCall + Cityplus     1. 3.98-"); /*  4 */
   fl_addto_browser(xpGR.viewfield,"--------------------------------------------"); /*  5 */
   fl_addto_browser(xpGR.viewfield,"DE T-Online City                    1. 1.99-"); /*  6 */
   fl_addto_browser(xpGR.viewfield,"DE T-Online Regional                1. 1.99-"); /*  7 */
   fl_addto_browser(xpGR.viewfield,"DE T-Online Deutschland (T-Net)     1. 1.99-"); /*  8 */
   fl_addto_browser(xpGR.viewfield,"DE T-Online City + Cityplus         1. 1.99-"); /*  9 */
   fl_addto_browser(xpGR.viewfield,"--------------------------------------------"); /* 10 */
   fl_addto_browser(xpGR.viewfield,"DE T-Online City                    1. 4.99-"); /* 11 */
   fl_addto_browser(xpGR.viewfield,"DE T-Online Regional                1. 4.99-"); /* 12 */
   fl_addto_browser(xpGR.viewfield,"DE T-Online Deutschland (T-Net)     1. 4.99-"); /* 13 */
   fl_addto_browser(xpGR.viewfield,"DE T-Online City + Cityplus         1. 4.99-"); /* 14 */
   fl_addto_browser(xpGR.viewfield,"--------------------------------------------"); /* 15 */
   fl_addto_browser(xpGR.viewfield,"DE T-Online T-Net City            - 1. 1.00-"); /* 16 */
   fl_addto_browser(xpGR.viewfield,"DE T-Online T-Net Regional        - 1. 1.00-"); /* 17 */
   fl_addto_browser(xpGR.viewfield,"DE T-Online T-Net Deutschland     - 1. 1.00-"); /* 18 */
   fl_addto_browser(xpGR.viewfield,"DE T-Online T-ISDN City           - 1. 1.00-"); /* 19 */
   fl_addto_browser(xpGR.viewfield,"DE T-Online T-ISDN Deutschland    - 1. 1.00-"); /* 20 */
   fl_addto_browser(xpGR.viewfield,"DE T-Online AktivPlus City        - 1. 1.00-"); /* 21 */
   fl_addto_browser(xpGR.viewfield,"DE T-Online AktivPlus Deutschland - 1. 1.00-"); /* 22 */
   fl_addto_browser(xpGR.viewfield,"DE T-Online AktivPlus Ausland     - 1. 1.00-"); /* 23 */

   xpGR.QPLframe = fl_add_frame(FL_DOWN_FRAME,10,316,330,24,"");
   xpGR.QPLexit = fl_add_button(FL_NORMAL_BUTTON,145,318,60,20,_xpl_exit);

   fl_end_form();

   fl_show_form(xpGR.form,FL_PLACE_CENTER,FL_TRANSIENT,_xpl_wintitle);

   xpGR.ready=0;
   while (xpGR.ready == 0)
   {
      xpGR.obj = fl_do_forms();

      /* Rates */
      if (xpGR.obj == xpGR.viewfield)
      {
         initrates();
         a = fl_get_browser(xpGR.viewfield);

         /* Su Mo Tu We Th Fr Sa */
         /* 1  11 21 31 41 51 61 */

         /* ### Telefongebhren Stand: 1.3.98 ### */

         /* DE-T-Online CityCall */
         if (a == 1)
         {
            xplogs.xpqh[11]=xplogs.xpqh[21]=xplogs.xpqh[31]=xplogs.xpqh[41]=xplogs.xpqh[51]=0;
            xplogs.xpqm[11]=xplogs.xpqm[21]=xplogs.xpqm[31]=xplogs.xpqm[41]=xplogs.xpqm[51]=0;
            xplogs.xpqr[11]=xplogs.xpqr[21]=xplogs.xpqr[31]=xplogs.xpqr[41]=xplogs.xpqr[51]=240.00;
            xplogs.xpqc[11]=xplogs.xpqc[21]=xplogs.xpqc[31]=xplogs.xpqc[41]=xplogs.xpqc[51]=12.10;
            xplogs.xpqh[12]=xplogs.xpqh[22]=xplogs.xpqh[32]=xplogs.xpqh[42]=xplogs.xpqh[52]=5;
            xplogs.xpqm[12]=xplogs.xpqm[22]=xplogs.xpqm[32]=xplogs.xpqm[42]=xplogs.xpqm[52]=0;
            xplogs.xpqr[12]=xplogs.xpqr[22]=xplogs.xpqr[32]=xplogs.xpqr[42]=xplogs.xpqr[52]=150.00;
            xplogs.xpqc[12]=xplogs.xpqc[22]=xplogs.xpqc[32]=xplogs.xpqc[42]=xplogs.xpqc[52]=12.10;
            xplogs.xpqh[13]=xplogs.xpqh[23]=xplogs.xpqh[33]=xplogs.xpqh[43]=xplogs.xpqh[53]=9;
            xplogs.xpqm[13]=xplogs.xpqm[23]=xplogs.xpqm[33]=xplogs.xpqm[43]=xplogs.xpqm[53]=0;
            xplogs.xpqr[13]=xplogs.xpqr[23]=xplogs.xpqr[33]=xplogs.xpqr[43]=xplogs.xpqr[53]=90.00;
            xplogs.xpqc[13]=xplogs.xpqc[23]=xplogs.xpqc[33]=xplogs.xpqc[43]=xplogs.xpqc[53]=12.10;
            xplogs.xpqh[14]=xplogs.xpqh[24]=xplogs.xpqh[34]=xplogs.xpqh[44]=xplogs.xpqh[54]=18;
            xplogs.xpqm[14]=xplogs.xpqm[24]=xplogs.xpqm[34]=xplogs.xpqm[44]=xplogs.xpqm[54]=0;
            xplogs.xpqr[14]=xplogs.xpqr[24]=xplogs.xpqr[34]=xplogs.xpqr[44]=xplogs.xpqr[54]=150.00;
            xplogs.xpqc[14]=xplogs.xpqc[24]=xplogs.xpqc[34]=xplogs.xpqc[44]=xplogs.xpqc[54]=12.10;
            xplogs.xpqh[15]=xplogs.xpqh[25]=xplogs.xpqh[35]=xplogs.xpqh[45]=xplogs.xpqh[55]=21;
            xplogs.xpqm[15]=xplogs.xpqm[25]=xplogs.xpqm[35]=xplogs.xpqm[45]=xplogs.xpqm[55]=0;
            xplogs.xpqr[15]=xplogs.xpqr[25]=xplogs.xpqr[35]=xplogs.xpqr[45]=xplogs.xpqr[55]=240.00;
            xplogs.xpqc[15]=xplogs.xpqc[25]=xplogs.xpqc[35]=xplogs.xpqc[45]=xplogs.xpqc[55]=12.10;

            xplogs.xpqh[1]=xplogs.xpqh[61]=0;
            xplogs.xpqm[1]=xplogs.xpqm[61]=0;
            xplogs.xpqr[1]=xplogs.xpqr[61]=240.00;
            xplogs.xpqc[1]=xplogs.xpqc[61]=12.10;
            xplogs.xpqh[2]=xplogs.xpqh[62]=5;
            xplogs.xpqm[2]=xplogs.xpqm[62]=0;
            xplogs.xpqr[2]=xplogs.xpqr[62]=150.00;
            xplogs.xpqc[2]=xplogs.xpqc[62]=12.10;
            xplogs.xpqh[3]=xplogs.xpqh[63]=21;
            xplogs.xpqm[3]=xplogs.xpqm[63]=0;
            xplogs.xpqr[3]=xplogs.xpqr[63]=240.00;
            xplogs.xpqc[3]=xplogs.xpqc[63]=12.10;
         }

         /* DE-T-Online RegioCall */
         else if (a == 2)
         {
            xplogs.xpqh[11]=xplogs.xpqh[21]=xplogs.xpqh[31]=xplogs.xpqh[41]=xplogs.xpqh[51]=0;
            xplogs.xpqm[11]=xplogs.xpqm[21]=xplogs.xpqm[31]=xplogs.xpqm[41]=xplogs.xpqm[51]=0;
            xplogs.xpqr[11]=xplogs.xpqr[21]=xplogs.xpqr[31]=xplogs.xpqr[41]=xplogs.xpqr[51]=60.00;
            xplogs.xpqc[11]=xplogs.xpqc[21]=xplogs.xpqc[31]=xplogs.xpqc[41]=xplogs.xpqc[51]=12.10;
            xplogs.xpqh[12]=xplogs.xpqh[22]=xplogs.xpqh[32]=xplogs.xpqh[42]=xplogs.xpqh[52]=2;
            xplogs.xpqm[12]=xplogs.xpqm[22]=xplogs.xpqm[32]=xplogs.xpqm[42]=xplogs.xpqm[52]=0;
            xplogs.xpqr[12]=xplogs.xpqr[22]=xplogs.xpqr[32]=xplogs.xpqr[42]=xplogs.xpqr[52]=120.00;
            xplogs.xpqc[12]=xplogs.xpqc[22]=xplogs.xpqc[32]=xplogs.xpqc[42]=xplogs.xpqc[52]=12.10;
            xplogs.xpqh[13]=xplogs.xpqh[23]=xplogs.xpqh[33]=xplogs.xpqh[43]=xplogs.xpqh[53]=5;
            xplogs.xpqm[13]=xplogs.xpqm[23]=xplogs.xpqm[33]=xplogs.xpqm[43]=xplogs.xpqm[53]=0;
            xplogs.xpqr[13]=xplogs.xpqr[23]=xplogs.xpqr[33]=xplogs.xpqr[43]=xplogs.xpqr[53]=45.00;
            xplogs.xpqc[13]=xplogs.xpqc[23]=xplogs.xpqc[33]=xplogs.xpqc[43]=xplogs.xpqc[53]=12.10;
            xplogs.xpqh[14]=xplogs.xpqh[24]=xplogs.xpqh[34]=xplogs.xpqh[44]=xplogs.xpqh[54]=9;
            xplogs.xpqm[14]=xplogs.xpqm[24]=xplogs.xpqm[34]=xplogs.xpqm[44]=xplogs.xpqm[54]=0;
            xplogs.xpqr[14]=xplogs.xpqr[24]=xplogs.xpqr[34]=xplogs.xpqr[44]=xplogs.xpqr[54]=26.00;
            xplogs.xpqc[14]=xplogs.xpqc[24]=xplogs.xpqc[34]=xplogs.xpqc[44]=xplogs.xpqc[54]=12.10;
            xplogs.xpqh[15]=xplogs.xpqh[25]=xplogs.xpqh[35]=xplogs.xpqh[45]=xplogs.xpqh[55]=12;
            xplogs.xpqm[15]=xplogs.xpqm[25]=xplogs.xpqm[35]=xplogs.xpqm[45]=xplogs.xpqm[55]=0;
            xplogs.xpqr[15]=xplogs.xpqr[25]=xplogs.xpqr[35]=xplogs.xpqr[45]=xplogs.xpqr[55]=30.00;
            xplogs.xpqc[15]=xplogs.xpqc[25]=xplogs.xpqc[35]=xplogs.xpqc[45]=xplogs.xpqc[55]=12.10;
            xplogs.xpqh[16]=xplogs.xpqh[26]=xplogs.xpqh[36]=xplogs.xpqh[46]=xplogs.xpqh[56]=18;
            xplogs.xpqm[16]=xplogs.xpqm[26]=xplogs.xpqm[36]=xplogs.xpqm[46]=xplogs.xpqm[56]=0;
            xplogs.xpqr[16]=xplogs.xpqr[26]=xplogs.xpqr[36]=xplogs.xpqr[46]=xplogs.xpqr[56]=45.00;
            xplogs.xpqc[16]=xplogs.xpqc[26]=xplogs.xpqc[36]=xplogs.xpqc[46]=xplogs.xpqc[56]=12.10;
            xplogs.xpqh[17]=xplogs.xpqh[27]=xplogs.xpqh[37]=xplogs.xpqh[47]=xplogs.xpqh[57]=21;
            xplogs.xpqm[17]=xplogs.xpqm[27]=xplogs.xpqm[37]=xplogs.xpqm[47]=xplogs.xpqm[57]=0;
            xplogs.xpqr[17]=xplogs.xpqr[27]=xplogs.xpqr[37]=xplogs.xpqr[47]=xplogs.xpqr[57]=60.00;
            xplogs.xpqc[17]=xplogs.xpqc[27]=xplogs.xpqc[37]=xplogs.xpqc[47]=xplogs.xpqc[57]=12.10;

            xplogs.xpqh[1]=xplogs.xpqh[61]=0;
            xplogs.xpqm[1]=xplogs.xpqm[61]=0;
            xplogs.xpqr[1]=xplogs.xpqr[61]=60.00;
            xplogs.xpqc[1]=xplogs.xpqc[61]=12.10;
            xplogs.xpqh[2]=xplogs.xpqh[62]=5;
            xplogs.xpqm[2]=xplogs.xpqm[62]=0;
            xplogs.xpqr[2]=xplogs.xpqr[62]=45.00;
            xplogs.xpqc[2]=xplogs.xpqc[62]=12.10;
            xplogs.xpqh[3]=xplogs.xpqh[63]=21;
            xplogs.xpqm[3]=xplogs.xpqm[63]=0;
            xplogs.xpqr[3]=xplogs.xpqr[63]=60.00;
            xplogs.xpqc[3]=xplogs.xpqc[63]=12.10;
         }

         /* DE-T-Online GermanCall */
         else if (a == 3)
         {
            xplogs.xpqh[11]=xplogs.xpqh[21]=xplogs.xpqh[31]=xplogs.xpqh[41]=xplogs.xpqh[51]=0;
            xplogs.xpqm[11]=xplogs.xpqm[21]=xplogs.xpqm[31]=xplogs.xpqm[41]=xplogs.xpqm[51]=0;
            xplogs.xpqr[11]=xplogs.xpqr[21]=xplogs.xpqr[31]=xplogs.xpqr[41]=xplogs.xpqr[51]=36.00;
            xplogs.xpqc[11]=xplogs.xpqc[21]=xplogs.xpqc[31]=xplogs.xpqc[41]=xplogs.xpqc[51]=12.10;
            xplogs.xpqh[12]=xplogs.xpqh[22]=xplogs.xpqh[32]=xplogs.xpqh[42]=xplogs.xpqh[52]=2;
            xplogs.xpqm[12]=xplogs.xpqm[22]=xplogs.xpqm[32]=xplogs.xpqm[42]=xplogs.xpqm[52]=0;
            xplogs.xpqr[12]=xplogs.xpqr[22]=xplogs.xpqr[32]=xplogs.xpqr[42]=xplogs.xpqr[52]=120.00;
            xplogs.xpqc[12]=xplogs.xpqc[22]=xplogs.xpqc[32]=xplogs.xpqc[42]=xplogs.xpqc[52]=12.10;
            xplogs.xpqh[13]=xplogs.xpqh[23]=xplogs.xpqh[33]=xplogs.xpqh[43]=xplogs.xpqh[53]=5;
            xplogs.xpqm[13]=xplogs.xpqm[23]=xplogs.xpqm[33]=xplogs.xpqm[43]=xplogs.xpqm[53]=0;
            xplogs.xpqr[13]=xplogs.xpqr[23]=xplogs.xpqr[33]=xplogs.xpqr[43]=xplogs.xpqr[53]=22.50;
            xplogs.xpqc[13]=xplogs.xpqc[23]=xplogs.xpqc[33]=xplogs.xpqc[43]=xplogs.xpqc[53]=12.10;
            xplogs.xpqh[14]=xplogs.xpqh[24]=xplogs.xpqh[34]=xplogs.xpqh[44]=xplogs.xpqh[54]=9;
            xplogs.xpqm[14]=xplogs.xpqm[24]=xplogs.xpqm[34]=xplogs.xpqm[44]=xplogs.xpqm[54]=0;
            xplogs.xpqr[14]=xplogs.xpqr[24]=xplogs.xpqr[34]=xplogs.xpqr[44]=xplogs.xpqr[54]=13.00;
            xplogs.xpqc[14]=xplogs.xpqc[24]=xplogs.xpqc[34]=xplogs.xpqc[44]=xplogs.xpqc[54]=12.10;
            xplogs.xpqh[15]=xplogs.xpqh[25]=xplogs.xpqh[35]=xplogs.xpqh[45]=xplogs.xpqh[55]=12;
            xplogs.xpqm[15]=xplogs.xpqm[25]=xplogs.xpqm[35]=xplogs.xpqm[45]=xplogs.xpqm[55]=0;
            xplogs.xpqr[15]=xplogs.xpqr[25]=xplogs.xpqr[35]=xplogs.xpqr[45]=xplogs.xpqr[55]=14.00;
            xplogs.xpqc[15]=xplogs.xpqc[25]=xplogs.xpqc[35]=xplogs.xpqc[45]=xplogs.xpqc[55]=12.10;
            xplogs.xpqh[16]=xplogs.xpqh[26]=xplogs.xpqh[36]=xplogs.xpqh[46]=xplogs.xpqh[56]=18;
            xplogs.xpqm[16]=xplogs.xpqm[26]=xplogs.xpqm[36]=xplogs.xpqm[46]=xplogs.xpqm[56]=0;
            xplogs.xpqr[16]=xplogs.xpqr[26]=xplogs.xpqr[36]=xplogs.xpqr[46]=xplogs.xpqr[56]=22.50;
            xplogs.xpqc[16]=xplogs.xpqc[26]=xplogs.xpqc[36]=xplogs.xpqc[46]=xplogs.xpqc[56]=12.10;
            xplogs.xpqh[17]=xplogs.xpqh[27]=xplogs.xpqh[37]=xplogs.xpqh[47]=xplogs.xpqh[57]=21;
            xplogs.xpqm[17]=xplogs.xpqm[27]=xplogs.xpqm[37]=xplogs.xpqm[47]=xplogs.xpqm[57]=0;
            xplogs.xpqr[17]=xplogs.xpqr[27]=xplogs.xpqr[37]=xplogs.xpqr[47]=xplogs.xpqr[57]=36.00;
            xplogs.xpqc[17]=xplogs.xpqc[27]=xplogs.xpqc[37]=xplogs.xpqc[47]=xplogs.xpqc[57]=12.10;

            xplogs.xpqh[1]=xplogs.xpqh[61]=0;
            xplogs.xpqm[1]=xplogs.xpqm[61]=0;
            xplogs.xpqr[1]=xplogs.xpqr[61]=36.00;
            xplogs.xpqc[1]=xplogs.xpqc[61]=12.10;
            xplogs.xpqh[2]=xplogs.xpqh[62]=5;
            xplogs.xpqm[2]=xplogs.xpqm[62]=0;
            xplogs.xpqr[2]=xplogs.xpqr[62]=30.00;
            xplogs.xpqc[2]=xplogs.xpqc[62]=12.10;
            xplogs.xpqh[3]=xplogs.xpqh[63]=21;
            xplogs.xpqm[3]=xplogs.xpqm[63]=0;
            xplogs.xpqr[3]=xplogs.xpqr[63]=36.00;
            xplogs.xpqc[3]=xplogs.xpqc[63]=12.10;
         }

         /* DE-T-Online CityCall + Cityplus */
         else if (a == 4)
         {
            xplogs.xpqh[11]=xplogs.xpqh[21]=xplogs.xpqh[31]=xplogs.xpqh[41]=xplogs.xpqh[51]=0;
            xplogs.xpqm[11]=xplogs.xpqm[21]=xplogs.xpqm[31]=xplogs.xpqm[41]=xplogs.xpqm[51]=0;
            xplogs.xpqr[11]=xplogs.xpqr[21]=xplogs.xpqr[31]=xplogs.xpqr[41]=xplogs.xpqr[51]=240.00;
            xplogs.xpqc[11]=xplogs.xpqc[21]=xplogs.xpqc[31]=xplogs.xpqc[41]=xplogs.xpqc[51]=12.10;
            xplogs.xpqh[12]=xplogs.xpqh[22]=xplogs.xpqh[32]=xplogs.xpqh[42]=xplogs.xpqh[52]=5;
            xplogs.xpqm[12]=xplogs.xpqm[22]=xplogs.xpqm[32]=xplogs.xpqm[42]=xplogs.xpqm[52]=0;
            xplogs.xpqr[12]=xplogs.xpqr[22]=xplogs.xpqr[32]=xplogs.xpqr[42]=xplogs.xpqr[52]=150.00;
            xplogs.xpqc[12]=xplogs.xpqc[22]=xplogs.xpqc[32]=xplogs.xpqc[42]=xplogs.xpqc[52]=6.05;
            xplogs.xpqh[13]=xplogs.xpqh[23]=xplogs.xpqh[33]=xplogs.xpqh[43]=xplogs.xpqh[53]=9;
            xplogs.xpqm[13]=xplogs.xpqm[23]=xplogs.xpqm[33]=xplogs.xpqm[43]=xplogs.xpqm[53]=0;
            xplogs.xpqr[13]=xplogs.xpqr[23]=xplogs.xpqr[33]=xplogs.xpqr[43]=xplogs.xpqr[53]=90.00;
            xplogs.xpqc[13]=xplogs.xpqc[23]=xplogs.xpqc[33]=xplogs.xpqc[43]=xplogs.xpqc[53]=6.05;
            xplogs.xpqh[14]=xplogs.xpqh[24]=xplogs.xpqh[34]=xplogs.xpqh[44]=xplogs.xpqh[54]=18;
            xplogs.xpqm[14]=xplogs.xpqm[24]=xplogs.xpqm[34]=xplogs.xpqm[44]=xplogs.xpqm[54]=0;
            xplogs.xpqr[14]=xplogs.xpqr[24]=xplogs.xpqr[34]=xplogs.xpqr[44]=xplogs.xpqr[54]=150.00;
            xplogs.xpqc[14]=xplogs.xpqc[24]=xplogs.xpqc[34]=xplogs.xpqc[44]=xplogs.xpqc[54]=6.05;
            xplogs.xpqh[15]=xplogs.xpqh[25]=xplogs.xpqh[35]=xplogs.xpqh[45]=xplogs.xpqh[55]=21;
            xplogs.xpqm[15]=xplogs.xpqm[25]=xplogs.xpqm[35]=xplogs.xpqm[45]=xplogs.xpqm[55]=0;
            xplogs.xpqr[15]=xplogs.xpqr[25]=xplogs.xpqr[35]=xplogs.xpqr[45]=xplogs.xpqr[55]=240.00;
            xplogs.xpqc[15]=xplogs.xpqc[25]=xplogs.xpqc[35]=xplogs.xpqc[45]=xplogs.xpqc[55]=12.10;

            xplogs.xpqh[1]=xplogs.xpqh[61]=0;
            xplogs.xpqm[1]=xplogs.xpqm[61]=0;
            xplogs.xpqr[1]=xplogs.xpqr[61]=240.00;
            xplogs.xpqc[1]=xplogs.xpqc[61]=12.10;
            xplogs.xpqh[2]=xplogs.xpqh[62]=5;
            xplogs.xpqm[2]=xplogs.xpqm[62]=0;
            xplogs.xpqr[2]=xplogs.xpqr[62]=150.00;
            xplogs.xpqc[2]=xplogs.xpqc[62]=6.05;
            xplogs.xpqh[3]=xplogs.xpqh[63]=21;
            xplogs.xpqm[3]=xplogs.xpqm[63]=0;
            xplogs.xpqr[3]=xplogs.xpqr[63]=240.00;
            xplogs.xpqc[3]=xplogs.xpqc[63]=12.10;
         }

         /* Su Mo Tu We Th Fr Sa */
         /* 1  11 21 31 41 51 61 */

         /* ### Telefongebhren Stand: 1.1.99 ### */

         /* DE-T-Online City */
         else if (a == 6)
         {
            xplogs.xpqh[11]=xplogs.xpqh[21]=xplogs.xpqh[31]=xplogs.xpqh[41]=xplogs.xpqh[51]=0;
            xplogs.xpqm[11]=xplogs.xpqm[21]=xplogs.xpqm[31]=xplogs.xpqm[41]=xplogs.xpqm[51]=0;
            xplogs.xpqr[11]=xplogs.xpqr[21]=xplogs.xpqr[31]=xplogs.xpqr[41]=xplogs.xpqr[51]=240.00;
            xplogs.xpqc[11]=xplogs.xpqc[21]=xplogs.xpqc[31]=xplogs.xpqc[41]=xplogs.xpqc[51]=12.00;
            xplogs.xpqh[12]=xplogs.xpqh[22]=xplogs.xpqh[32]=xplogs.xpqh[42]=xplogs.xpqh[52]=5;
            xplogs.xpqm[12]=xplogs.xpqm[22]=xplogs.xpqm[32]=xplogs.xpqm[42]=xplogs.xpqm[52]=0;
            xplogs.xpqr[12]=xplogs.xpqr[22]=xplogs.xpqr[32]=xplogs.xpqr[42]=xplogs.xpqr[52]=150.00;
            xplogs.xpqc[12]=xplogs.xpqc[22]=xplogs.xpqc[32]=xplogs.xpqc[42]=xplogs.xpqc[52]=12.00;
            xplogs.xpqh[13]=xplogs.xpqh[23]=xplogs.xpqh[33]=xplogs.xpqh[43]=xplogs.xpqh[53]=9;
            xplogs.xpqm[13]=xplogs.xpqm[23]=xplogs.xpqm[33]=xplogs.xpqm[43]=xplogs.xpqm[53]=0;
            xplogs.xpqr[13]=xplogs.xpqr[23]=xplogs.xpqr[33]=xplogs.xpqr[43]=xplogs.xpqr[53]=90.00;
            xplogs.xpqc[13]=xplogs.xpqc[23]=xplogs.xpqc[33]=xplogs.xpqc[43]=xplogs.xpqc[53]=12.00;
            xplogs.xpqh[14]=xplogs.xpqh[24]=xplogs.xpqh[34]=xplogs.xpqh[44]=xplogs.xpqh[54]=18;
            xplogs.xpqm[14]=xplogs.xpqm[24]=xplogs.xpqm[34]=xplogs.xpqm[44]=xplogs.xpqm[54]=0;
            xplogs.xpqr[14]=xplogs.xpqr[24]=xplogs.xpqr[34]=xplogs.xpqr[44]=xplogs.xpqr[54]=150.00;
            xplogs.xpqc[14]=xplogs.xpqc[24]=xplogs.xpqc[34]=xplogs.xpqc[44]=xplogs.xpqc[54]=12.00;
            xplogs.xpqh[15]=xplogs.xpqh[25]=xplogs.xpqh[35]=xplogs.xpqh[45]=xplogs.xpqh[55]=21;
            xplogs.xpqm[15]=xplogs.xpqm[25]=xplogs.xpqm[35]=xplogs.xpqm[45]=xplogs.xpqm[55]=0;
            xplogs.xpqr[15]=xplogs.xpqr[25]=xplogs.xpqr[35]=xplogs.xpqr[45]=xplogs.xpqr[55]=240.00;
            xplogs.xpqc[15]=xplogs.xpqc[25]=xplogs.xpqc[35]=xplogs.xpqc[45]=xplogs.xpqc[55]=12.00;

            xplogs.xpqh[1]=xplogs.xpqh[61]=0;
            xplogs.xpqm[1]=xplogs.xpqm[61]=0;
            xplogs.xpqr[1]=xplogs.xpqr[61]=240.00;
            xplogs.xpqc[1]=xplogs.xpqc[61]=12.00;
            xplogs.xpqh[2]=xplogs.xpqh[62]=5;
            xplogs.xpqm[2]=xplogs.xpqm[62]=0;
            xplogs.xpqr[2]=xplogs.xpqr[62]=150.00;
            xplogs.xpqc[2]=xplogs.xpqc[62]=12.00;
            xplogs.xpqh[3]=xplogs.xpqh[63]=21;
            xplogs.xpqm[3]=xplogs.xpqm[63]=0;
            xplogs.xpqr[3]=xplogs.xpqr[63]=240.00;
            xplogs.xpqc[3]=xplogs.xpqc[63]=12.00;
         }

         /* DE-T-Online Regional */
         else if (a == 7)
         {
            xplogs.xpqh[11]=xplogs.xpqh[21]=xplogs.xpqh[31]=xplogs.xpqh[41]=xplogs.xpqh[51]=0;
            xplogs.xpqm[11]=xplogs.xpqm[21]=xplogs.xpqm[31]=xplogs.xpqm[41]=xplogs.xpqm[51]=0;
            xplogs.xpqr[11]=xplogs.xpqr[21]=xplogs.xpqr[31]=xplogs.xpqr[41]=xplogs.xpqr[51]=60.00;
            xplogs.xpqc[11]=xplogs.xpqc[21]=xplogs.xpqc[31]=xplogs.xpqc[41]=xplogs.xpqc[51]=12.00;
            xplogs.xpqh[12]=xplogs.xpqh[22]=xplogs.xpqh[32]=xplogs.xpqh[42]=xplogs.xpqh[52]=2;
            xplogs.xpqm[12]=xplogs.xpqm[22]=xplogs.xpqm[32]=xplogs.xpqm[42]=xplogs.xpqm[52]=0;
            xplogs.xpqr[12]=xplogs.xpqr[22]=xplogs.xpqr[32]=xplogs.xpqr[42]=xplogs.xpqr[52]=120.00;
            xplogs.xpqc[12]=xplogs.xpqc[22]=xplogs.xpqc[32]=xplogs.xpqc[42]=xplogs.xpqc[52]=12.00;
            xplogs.xpqh[13]=xplogs.xpqh[23]=xplogs.xpqh[33]=xplogs.xpqh[43]=xplogs.xpqh[53]=5;
            xplogs.xpqm[13]=xplogs.xpqm[23]=xplogs.xpqm[33]=xplogs.xpqm[43]=xplogs.xpqm[53]=0;
            xplogs.xpqr[13]=xplogs.xpqr[23]=xplogs.xpqr[33]=xplogs.xpqr[43]=xplogs.xpqr[53]=60.00;
            xplogs.xpqc[13]=xplogs.xpqc[23]=xplogs.xpqc[33]=xplogs.xpqc[43]=xplogs.xpqc[53]=12.00;
            xplogs.xpqh[14]=xplogs.xpqh[24]=xplogs.xpqh[34]=xplogs.xpqh[44]=xplogs.xpqh[54]=9;
            xplogs.xpqm[14]=xplogs.xpqm[24]=xplogs.xpqm[34]=xplogs.xpqm[44]=xplogs.xpqm[54]=0;
            xplogs.xpqr[14]=xplogs.xpqr[24]=xplogs.xpqr[34]=xplogs.xpqr[44]=xplogs.xpqr[54]=60.00;
            xplogs.xpqc[14]=xplogs.xpqc[24]=xplogs.xpqc[34]=xplogs.xpqc[44]=xplogs.xpqc[54]=24.00;
            xplogs.xpqh[15]=xplogs.xpqh[25]=xplogs.xpqh[35]=xplogs.xpqh[45]=xplogs.xpqh[55]=18;
            xplogs.xpqm[15]=xplogs.xpqm[25]=xplogs.xpqm[35]=xplogs.xpqm[45]=xplogs.xpqm[55]=0;
            xplogs.xpqr[15]=xplogs.xpqr[25]=xplogs.xpqr[35]=xplogs.xpqr[45]=xplogs.xpqr[55]=60.00;
            xplogs.xpqc[15]=xplogs.xpqc[25]=xplogs.xpqc[35]=xplogs.xpqc[45]=xplogs.xpqc[55]=12.00;

            xplogs.xpqh[1]=xplogs.xpqh[61]=0;
            xplogs.xpqm[1]=xplogs.xpqm[61]=0;
            xplogs.xpqr[1]=xplogs.xpqr[61]=60.00;
            xplogs.xpqc[1]=xplogs.xpqc[61]=12.00;
         }

         /* DE-T-Online Deutschland T-Net */
         else if (a == 8)
         {
            xplogs.xpqh[11]=xplogs.xpqh[21]=xplogs.xpqh[31]=xplogs.xpqh[41]=xplogs.xpqh[51]=0;
            xplogs.xpqm[11]=xplogs.xpqm[21]=xplogs.xpqm[31]=xplogs.xpqm[41]=xplogs.xpqm[51]=0;
            xplogs.xpqr[11]=xplogs.xpqr[21]=xplogs.xpqr[31]=xplogs.xpqr[41]=xplogs.xpqr[51]=120.00;
            xplogs.xpqc[11]=xplogs.xpqc[21]=xplogs.xpqc[31]=xplogs.xpqc[41]=xplogs.xpqc[51]=12.00;
            xplogs.xpqh[12]=xplogs.xpqh[22]=xplogs.xpqh[32]=xplogs.xpqh[42]=xplogs.xpqh[52]=5;
            xplogs.xpqm[12]=xplogs.xpqm[22]=xplogs.xpqm[32]=xplogs.xpqm[42]=xplogs.xpqm[52]=0;
            xplogs.xpqr[12]=xplogs.xpqr[22]=xplogs.xpqr[32]=xplogs.xpqr[42]=xplogs.xpqr[52]=60.00;
            xplogs.xpqc[12]=xplogs.xpqc[22]=xplogs.xpqc[32]=xplogs.xpqc[42]=xplogs.xpqc[52]=12.00;
            xplogs.xpqh[13]=xplogs.xpqh[23]=xplogs.xpqh[33]=xplogs.xpqh[43]=xplogs.xpqh[53]=9;
            xplogs.xpqm[13]=xplogs.xpqm[23]=xplogs.xpqm[33]=xplogs.xpqm[43]=xplogs.xpqm[53]=0;
            xplogs.xpqr[13]=xplogs.xpqr[23]=xplogs.xpqr[33]=xplogs.xpqr[43]=xplogs.xpqr[53]=30.00;
            xplogs.xpqc[13]=xplogs.xpqc[23]=xplogs.xpqc[33]=xplogs.xpqc[43]=xplogs.xpqc[53]=12.00;
            xplogs.xpqh[14]=xplogs.xpqh[24]=xplogs.xpqh[34]=xplogs.xpqh[44]=xplogs.xpqh[54]=18;
            xplogs.xpqm[14]=xplogs.xpqm[24]=xplogs.xpqm[34]=xplogs.xpqm[44]=xplogs.xpqm[54]=0;
            xplogs.xpqr[14]=xplogs.xpqr[24]=xplogs.xpqr[34]=xplogs.xpqr[44]=xplogs.xpqr[54]=60.00;
            xplogs.xpqc[14]=xplogs.xpqc[24]=xplogs.xpqc[34]=xplogs.xpqc[44]=xplogs.xpqc[54]=12.00;
            xplogs.xpqh[15]=xplogs.xpqh[25]=xplogs.xpqh[35]=xplogs.xpqh[45]=xplogs.xpqh[55]=21;
            xplogs.xpqm[15]=xplogs.xpqm[25]=xplogs.xpqm[35]=xplogs.xpqm[45]=xplogs.xpqm[55]=0;
            xplogs.xpqr[15]=xplogs.xpqr[25]=xplogs.xpqr[35]=xplogs.xpqr[45]=xplogs.xpqr[55]=120.00;
            xplogs.xpqc[15]=xplogs.xpqc[25]=xplogs.xpqc[35]=xplogs.xpqc[45]=xplogs.xpqc[55]=12.00;

            xplogs.xpqh[1]=xplogs.xpqh[61]=0;
            xplogs.xpqm[1]=xplogs.xpqm[61]=0;
            xplogs.xpqr[1]=xplogs.xpqr[61]=60.00;
            xplogs.xpqc[1]=xplogs.xpqc[61]=12.00;
         }

         /* DE-T-Online City + Cityplus */
         else if (a == 9)
         {
            xplogs.xpqh[11]=xplogs.xpqh[21]=xplogs.xpqh[31]=xplogs.xpqh[41]=xplogs.xpqh[51]=0;
            xplogs.xpqm[11]=xplogs.xpqm[21]=xplogs.xpqm[31]=xplogs.xpqm[41]=xplogs.xpqm[51]=0;
            xplogs.xpqr[11]=xplogs.xpqr[21]=xplogs.xpqr[31]=xplogs.xpqr[41]=xplogs.xpqr[51]=240.00;
            xplogs.xpqc[11]=xplogs.xpqc[21]=xplogs.xpqc[31]=xplogs.xpqc[41]=xplogs.xpqc[51]=12.00;
            xplogs.xpqh[12]=xplogs.xpqh[22]=xplogs.xpqh[32]=xplogs.xpqh[42]=xplogs.xpqh[52]=5;
            xplogs.xpqm[12]=xplogs.xpqm[22]=xplogs.xpqm[32]=xplogs.xpqm[42]=xplogs.xpqm[52]=0;
            xplogs.xpqr[12]=xplogs.xpqr[22]=xplogs.xpqr[32]=xplogs.xpqr[42]=xplogs.xpqr[52]=150.00;
            xplogs.xpqc[12]=xplogs.xpqc[22]=xplogs.xpqc[32]=xplogs.xpqc[42]=xplogs.xpqc[52]=6.00;
            xplogs.xpqh[13]=xplogs.xpqh[23]=xplogs.xpqh[33]=xplogs.xpqh[43]=xplogs.xpqh[53]=9;
            xplogs.xpqm[13]=xplogs.xpqm[23]=xplogs.xpqm[33]=xplogs.xpqm[43]=xplogs.xpqm[53]=0;
            xplogs.xpqr[13]=xplogs.xpqr[23]=xplogs.xpqr[33]=xplogs.xpqr[43]=xplogs.xpqr[53]=90.00;
            xplogs.xpqc[13]=xplogs.xpqc[23]=xplogs.xpqc[33]=xplogs.xpqc[43]=xplogs.xpqc[53]=6.00;
            xplogs.xpqh[14]=xplogs.xpqh[24]=xplogs.xpqh[34]=xplogs.xpqh[44]=xplogs.xpqh[54]=18;
            xplogs.xpqm[14]=xplogs.xpqm[24]=xplogs.xpqm[34]=xplogs.xpqm[44]=xplogs.xpqm[54]=0;
            xplogs.xpqr[14]=xplogs.xpqr[24]=xplogs.xpqr[34]=xplogs.xpqr[44]=xplogs.xpqr[54]=150.00;
            xplogs.xpqc[14]=xplogs.xpqc[24]=xplogs.xpqc[34]=xplogs.xpqc[44]=xplogs.xpqc[54]=6.00;
            xplogs.xpqh[15]=xplogs.xpqh[25]=xplogs.xpqh[35]=xplogs.xpqh[45]=xplogs.xpqh[55]=21;
            xplogs.xpqm[15]=xplogs.xpqm[25]=xplogs.xpqm[35]=xplogs.xpqm[45]=xplogs.xpqm[55]=0;
            xplogs.xpqr[15]=xplogs.xpqr[25]=xplogs.xpqr[35]=xplogs.xpqr[45]=xplogs.xpqr[55]=240.00;
            xplogs.xpqc[15]=xplogs.xpqc[25]=xplogs.xpqc[35]=xplogs.xpqc[45]=xplogs.xpqc[55]=12.00;

            xplogs.xpqh[1]=xplogs.xpqh[61]=0;
            xplogs.xpqm[1]=xplogs.xpqm[61]=0;
            xplogs.xpqr[1]=xplogs.xpqr[61]=240.00;
            xplogs.xpqc[1]=xplogs.xpqc[61]=12.00;
            xplogs.xpqh[2]=xplogs.xpqh[62]=5;
            xplogs.xpqm[2]=xplogs.xpqm[62]=0;
            xplogs.xpqr[2]=xplogs.xpqr[62]=150.00;
            xplogs.xpqc[2]=xplogs.xpqc[62]=6.00;
            xplogs.xpqh[3]=xplogs.xpqh[63]=21;
            xplogs.xpqm[3]=xplogs.xpqm[63]=0;
            xplogs.xpqr[3]=xplogs.xpqr[63]=240.00;
            xplogs.xpqc[3]=xplogs.xpqc[63]=12.00;
         }

         /* Su Mo Tu We Th Fr Sa */
         /* 1  11 21 31 41 51 61 */

         /* ### Telefongebhren Stand: 1.4.99 ### */

         /* DE-T-Online City */
         else if (a == 11)
         {
            xplogs.xpqh[11]=xplogs.xpqh[21]=xplogs.xpqh[31]=xplogs.xpqh[41]=xplogs.xpqh[51]=0;
            xplogs.xpqm[11]=xplogs.xpqm[21]=xplogs.xpqm[31]=xplogs.xpqm[41]=xplogs.xpqm[51]=0;
            xplogs.xpqr[11]=xplogs.xpqr[21]=xplogs.xpqr[31]=xplogs.xpqr[41]=xplogs.xpqr[51]=240.00;
            xplogs.xpqc[11]=xplogs.xpqc[21]=xplogs.xpqc[31]=xplogs.xpqc[41]=xplogs.xpqc[51]=12.00;
            xplogs.xpqh[12]=xplogs.xpqh[22]=xplogs.xpqh[32]=xplogs.xpqh[42]=xplogs.xpqh[52]=5;
            xplogs.xpqm[12]=xplogs.xpqm[22]=xplogs.xpqm[32]=xplogs.xpqm[42]=xplogs.xpqm[52]=0;
            xplogs.xpqr[12]=xplogs.xpqr[22]=xplogs.xpqr[32]=xplogs.xpqr[42]=xplogs.xpqr[52]=150.00;
            xplogs.xpqc[12]=xplogs.xpqc[22]=xplogs.xpqc[32]=xplogs.xpqc[42]=xplogs.xpqc[52]=12.00;
            xplogs.xpqh[13]=xplogs.xpqh[23]=xplogs.xpqh[33]=xplogs.xpqh[43]=xplogs.xpqh[53]=9;
            xplogs.xpqm[13]=xplogs.xpqm[23]=xplogs.xpqm[33]=xplogs.xpqm[43]=xplogs.xpqm[53]=0;
            xplogs.xpqr[13]=xplogs.xpqr[23]=xplogs.xpqr[33]=xplogs.xpqr[43]=xplogs.xpqr[53]=90.00;
            xplogs.xpqc[13]=xplogs.xpqc[23]=xplogs.xpqc[33]=xplogs.xpqc[43]=xplogs.xpqc[53]=12.00;
            xplogs.xpqh[14]=xplogs.xpqh[24]=xplogs.xpqh[34]=xplogs.xpqh[44]=xplogs.xpqh[54]=18;
            xplogs.xpqm[14]=xplogs.xpqm[24]=xplogs.xpqm[34]=xplogs.xpqm[44]=xplogs.xpqm[54]=0;
            xplogs.xpqr[14]=xplogs.xpqr[24]=xplogs.xpqr[34]=xplogs.xpqr[44]=xplogs.xpqr[54]=150.00;
            xplogs.xpqc[14]=xplogs.xpqc[24]=xplogs.xpqc[34]=xplogs.xpqc[44]=xplogs.xpqc[54]=12.00;
            xplogs.xpqh[15]=xplogs.xpqh[25]=xplogs.xpqh[35]=xplogs.xpqh[45]=xplogs.xpqh[55]=21;
            xplogs.xpqm[15]=xplogs.xpqm[25]=xplogs.xpqm[35]=xplogs.xpqm[45]=xplogs.xpqm[55]=0;
            xplogs.xpqr[15]=xplogs.xpqr[25]=xplogs.xpqr[35]=xplogs.xpqr[45]=xplogs.xpqr[55]=240.00;
            xplogs.xpqc[15]=xplogs.xpqc[25]=xplogs.xpqc[35]=xplogs.xpqc[45]=xplogs.xpqc[55]=12.00;

            xplogs.xpqh[1]=xplogs.xpqh[61]=0;
            xplogs.xpqm[1]=xplogs.xpqm[61]=0;
            xplogs.xpqr[1]=xplogs.xpqr[61]=240.00;
            xplogs.xpqc[1]=xplogs.xpqc[61]=12.00;
            xplogs.xpqh[2]=xplogs.xpqh[62]=5;
            xplogs.xpqm[2]=xplogs.xpqm[62]=0;
            xplogs.xpqr[2]=xplogs.xpqr[62]=150.00;
            xplogs.xpqc[2]=xplogs.xpqc[62]=12.00;
            xplogs.xpqh[3]=xplogs.xpqh[63]=21;
            xplogs.xpqm[3]=xplogs.xpqm[63]=0;
            xplogs.xpqr[3]=xplogs.xpqr[63]=240.00;
            xplogs.xpqc[3]=xplogs.xpqc[63]=12.00;
         }

         /* DE-T-Online Regional */
         else if (a == 12)
         {
            xplogs.xpqh[11]=xplogs.xpqh[21]=xplogs.xpqh[31]=xplogs.xpqh[41]=xplogs.xpqh[51]=0;
            xplogs.xpqm[11]=xplogs.xpqm[21]=xplogs.xpqm[31]=xplogs.xpqm[41]=xplogs.xpqm[51]=0;
            xplogs.xpqr[11]=xplogs.xpqr[21]=xplogs.xpqr[31]=xplogs.xpqr[41]=xplogs.xpqr[51]=60.00;
            xplogs.xpqc[11]=xplogs.xpqc[21]=xplogs.xpqc[31]=xplogs.xpqc[41]=xplogs.xpqc[51]=12.00;
            xplogs.xpqh[12]=xplogs.xpqh[22]=xplogs.xpqh[32]=xplogs.xpqh[42]=xplogs.xpqh[52]=2;
            xplogs.xpqm[12]=xplogs.xpqm[22]=xplogs.xpqm[32]=xplogs.xpqm[42]=xplogs.xpqm[52]=0;
            xplogs.xpqr[12]=xplogs.xpqr[22]=xplogs.xpqr[32]=xplogs.xpqr[42]=xplogs.xpqr[52]=120.00;
            xplogs.xpqc[12]=xplogs.xpqc[22]=xplogs.xpqc[32]=xplogs.xpqc[42]=xplogs.xpqc[52]=12.00;
            xplogs.xpqh[13]=xplogs.xpqh[23]=xplogs.xpqh[33]=xplogs.xpqh[43]=xplogs.xpqh[53]=5;
            xplogs.xpqm[13]=xplogs.xpqm[23]=xplogs.xpqm[33]=xplogs.xpqm[43]=xplogs.xpqm[53]=0;
            xplogs.xpqr[13]=xplogs.xpqr[23]=xplogs.xpqr[33]=xplogs.xpqr[43]=xplogs.xpqr[53]=60.00;
            xplogs.xpqc[13]=xplogs.xpqc[23]=xplogs.xpqc[33]=xplogs.xpqc[43]=xplogs.xpqc[53]=12.00;
            xplogs.xpqh[14]=xplogs.xpqh[24]=xplogs.xpqh[34]=xplogs.xpqh[44]=xplogs.xpqh[54]=9;
            xplogs.xpqm[14]=xplogs.xpqm[24]=xplogs.xpqm[34]=xplogs.xpqm[44]=xplogs.xpqm[54]=0;
            xplogs.xpqr[14]=xplogs.xpqr[24]=xplogs.xpqr[34]=xplogs.xpqr[44]=xplogs.xpqr[54]=60.00;
            xplogs.xpqc[14]=xplogs.xpqc[24]=xplogs.xpqc[34]=xplogs.xpqc[44]=xplogs.xpqc[54]=24.00;
            xplogs.xpqh[15]=xplogs.xpqh[25]=xplogs.xpqh[35]=xplogs.xpqh[45]=xplogs.xpqh[55]=18;
            xplogs.xpqm[15]=xplogs.xpqm[25]=xplogs.xpqm[35]=xplogs.xpqm[45]=xplogs.xpqm[55]=0;
            xplogs.xpqr[15]=xplogs.xpqr[25]=xplogs.xpqr[35]=xplogs.xpqr[45]=xplogs.xpqr[55]=60.00;
            xplogs.xpqc[15]=xplogs.xpqc[25]=xplogs.xpqc[35]=xplogs.xpqc[45]=xplogs.xpqc[55]=12.00;

            xplogs.xpqh[1]=xplogs.xpqh[61]=0;
            xplogs.xpqm[1]=xplogs.xpqm[61]=0;
            xplogs.xpqr[1]=xplogs.xpqr[61]=60.00;
            xplogs.xpqc[1]=xplogs.xpqc[61]=12.00;
         }

         /* DE-T-Online Deutschland T-Net */
         else if (a == 13)
         {
            xplogs.xpqh[11]=xplogs.xpqh[21]=xplogs.xpqh[31]=xplogs.xpqh[41]=xplogs.xpqh[51]=0;
            xplogs.xpqm[11]=xplogs.xpqm[21]=xplogs.xpqm[31]=xplogs.xpqm[41]=xplogs.xpqm[51]=0;
            xplogs.xpqr[11]=xplogs.xpqr[21]=xplogs.xpqr[31]=xplogs.xpqr[41]=xplogs.xpqr[51]=120.00;
            xplogs.xpqc[11]=xplogs.xpqc[21]=xplogs.xpqc[31]=xplogs.xpqc[41]=xplogs.xpqc[51]=12.00;
            xplogs.xpqh[12]=xplogs.xpqh[22]=xplogs.xpqh[32]=xplogs.xpqh[42]=xplogs.xpqh[52]=5;
            xplogs.xpqm[12]=xplogs.xpqm[22]=xplogs.xpqm[32]=xplogs.xpqm[42]=xplogs.xpqm[52]=0;
            xplogs.xpqr[12]=xplogs.xpqr[22]=xplogs.xpqr[32]=xplogs.xpqr[42]=xplogs.xpqr[52]=60.00;
            xplogs.xpqc[12]=xplogs.xpqc[22]=xplogs.xpqc[32]=xplogs.xpqc[42]=xplogs.xpqc[52]=12.00;
            xplogs.xpqh[13]=xplogs.xpqh[23]=xplogs.xpqh[33]=xplogs.xpqh[43]=xplogs.xpqh[53]=9;
            xplogs.xpqm[13]=xplogs.xpqm[23]=xplogs.xpqm[33]=xplogs.xpqm[43]=xplogs.xpqm[53]=0;
            xplogs.xpqr[13]=xplogs.xpqr[23]=xplogs.xpqr[33]=xplogs.xpqr[43]=xplogs.xpqr[53]=30.00;
            xplogs.xpqc[13]=xplogs.xpqc[23]=xplogs.xpqc[33]=xplogs.xpqc[43]=xplogs.xpqc[53]=12.00;
            xplogs.xpqh[14]=xplogs.xpqh[24]=xplogs.xpqh[34]=xplogs.xpqh[44]=xplogs.xpqh[54]=18;
            xplogs.xpqm[14]=xplogs.xpqm[24]=xplogs.xpqm[34]=xplogs.xpqm[44]=xplogs.xpqm[54]=0;
            xplogs.xpqr[14]=xplogs.xpqr[24]=xplogs.xpqr[34]=xplogs.xpqr[44]=xplogs.xpqr[54]=60.00;
            xplogs.xpqc[14]=xplogs.xpqc[24]=xplogs.xpqc[34]=xplogs.xpqc[44]=xplogs.xpqc[54]=12.00;
            xplogs.xpqh[15]=xplogs.xpqh[25]=xplogs.xpqh[35]=xplogs.xpqh[45]=xplogs.xpqh[55]=21;
            xplogs.xpqm[15]=xplogs.xpqm[25]=xplogs.xpqm[35]=xplogs.xpqm[45]=xplogs.xpqm[55]=0;
            xplogs.xpqr[15]=xplogs.xpqr[25]=xplogs.xpqr[35]=xplogs.xpqr[45]=xplogs.xpqr[55]=120.00;
            xplogs.xpqc[15]=xplogs.xpqc[25]=xplogs.xpqc[35]=xplogs.xpqc[45]=xplogs.xpqc[55]=12.00;

            xplogs.xpqh[1]=xplogs.xpqh[61]=0;
            xplogs.xpqm[1]=xplogs.xpqm[61]=0;
            xplogs.xpqr[1]=xplogs.xpqr[61]=60.00;
            xplogs.xpqc[1]=xplogs.xpqc[61]=12.00;
         }

         /* DE-T-Online City + Cityplus */
         else if (a == 14)
         {
            xplogs.xpqh[11]=xplogs.xpqh[21]=xplogs.xpqh[31]=xplogs.xpqh[41]=xplogs.xpqh[51]=0;
            xplogs.xpqm[11]=xplogs.xpqm[21]=xplogs.xpqm[31]=xplogs.xpqm[41]=xplogs.xpqm[51]=0;
            xplogs.xpqr[11]=xplogs.xpqr[21]=xplogs.xpqr[31]=xplogs.xpqr[41]=xplogs.xpqr[51]=240.00;
            xplogs.xpqc[11]=xplogs.xpqc[21]=xplogs.xpqc[31]=xplogs.xpqc[41]=xplogs.xpqc[51]=12.00;
            xplogs.xpqh[12]=xplogs.xpqh[22]=xplogs.xpqh[32]=xplogs.xpqh[42]=xplogs.xpqh[52]=5;
            xplogs.xpqm[12]=xplogs.xpqm[22]=xplogs.xpqm[32]=xplogs.xpqm[42]=xplogs.xpqm[52]=0;
            xplogs.xpqr[12]=xplogs.xpqr[22]=xplogs.xpqr[32]=xplogs.xpqr[42]=xplogs.xpqr[52]=150.00;
            xplogs.xpqc[12]=xplogs.xpqc[22]=xplogs.xpqc[32]=xplogs.xpqc[42]=xplogs.xpqc[52]=6.00;
            xplogs.xpqh[13]=xplogs.xpqh[23]=xplogs.xpqh[33]=xplogs.xpqh[43]=xplogs.xpqh[53]=9;
            xplogs.xpqm[13]=xplogs.xpqm[23]=xplogs.xpqm[33]=xplogs.xpqm[43]=xplogs.xpqm[53]=0;
            xplogs.xpqr[13]=xplogs.xpqr[23]=xplogs.xpqr[33]=xplogs.xpqr[43]=xplogs.xpqr[53]=90.00;
            xplogs.xpqc[13]=xplogs.xpqc[23]=xplogs.xpqc[33]=xplogs.xpqc[43]=xplogs.xpqc[53]=6.00;
            xplogs.xpqh[14]=xplogs.xpqh[24]=xplogs.xpqh[34]=xplogs.xpqh[44]=xplogs.xpqh[54]=18;
            xplogs.xpqm[14]=xplogs.xpqm[24]=xplogs.xpqm[34]=xplogs.xpqm[44]=xplogs.xpqm[54]=0;
            xplogs.xpqr[14]=xplogs.xpqr[24]=xplogs.xpqr[34]=xplogs.xpqr[44]=xplogs.xpqr[54]=150.00;
            xplogs.xpqc[14]=xplogs.xpqc[24]=xplogs.xpqc[34]=xplogs.xpqc[44]=xplogs.xpqc[54]=6.00;
            xplogs.xpqh[15]=xplogs.xpqh[25]=xplogs.xpqh[35]=xplogs.xpqh[45]=xplogs.xpqh[55]=21;
            xplogs.xpqm[15]=xplogs.xpqm[25]=xplogs.xpqm[35]=xplogs.xpqm[45]=xplogs.xpqm[55]=0;
            xplogs.xpqr[15]=xplogs.xpqr[25]=xplogs.xpqr[35]=xplogs.xpqr[45]=xplogs.xpqr[55]=240.00;
            xplogs.xpqc[15]=xplogs.xpqc[25]=xplogs.xpqc[35]=xplogs.xpqc[45]=xplogs.xpqc[55]=12.00;

            xplogs.xpqh[1]=xplogs.xpqh[61]=0;
            xplogs.xpqm[1]=xplogs.xpqm[61]=0;
            xplogs.xpqr[1]=xplogs.xpqr[61]=240.00;
            xplogs.xpqc[1]=xplogs.xpqc[61]=12.00;
            xplogs.xpqh[2]=xplogs.xpqh[62]=5;
            xplogs.xpqm[2]=xplogs.xpqm[62]=0;
            xplogs.xpqr[2]=xplogs.xpqr[62]=150.00;
            xplogs.xpqc[2]=xplogs.xpqc[62]=6.00;
            xplogs.xpqh[3]=xplogs.xpqh[63]=21;
            xplogs.xpqm[3]=xplogs.xpqm[63]=0;
            xplogs.xpqr[3]=xplogs.xpqr[63]=240.00;
            xplogs.xpqc[3]=xplogs.xpqc[63]=12.00;
         }

         /* Su Mo Tu We Th Fr Sa */
         /* 1  11 21 31 41 51 61 */

         /* ### Telefongebhren Stand: 1.1.00 ### */

         /* DE-T-Online T-Net City */
         else if (a == 16)
         {
            xplogs.xpqh[11]=xplogs.xpqh[21]=xplogs.xpqh[31]=xplogs.xpqh[41]=xplogs.xpqh[51]=0;
            xplogs.xpqm[11]=xplogs.xpqm[21]=xplogs.xpqm[31]=xplogs.xpqm[41]=xplogs.xpqm[51]=0;
            xplogs.xpqr[11]=xplogs.xpqr[21]=xplogs.xpqr[31]=xplogs.xpqr[41]=xplogs.xpqr[51]=240.00;
            xplogs.xpqc[11]=xplogs.xpqc[21]=xplogs.xpqc[31]=xplogs.xpqc[41]=xplogs.xpqc[51]=12.00;
            xplogs.xpqh[12]=xplogs.xpqh[22]=xplogs.xpqh[32]=xplogs.xpqh[42]=xplogs.xpqh[52]=5;
            xplogs.xpqm[12]=xplogs.xpqm[22]=xplogs.xpqm[32]=xplogs.xpqm[42]=xplogs.xpqm[52]=0;
            xplogs.xpqr[12]=xplogs.xpqr[22]=xplogs.xpqr[32]=xplogs.xpqr[42]=xplogs.xpqr[52]=150.00;
            xplogs.xpqc[12]=xplogs.xpqc[22]=xplogs.xpqc[32]=xplogs.xpqc[42]=xplogs.xpqc[52]=12.00;
            xplogs.xpqh[13]=xplogs.xpqh[23]=xplogs.xpqh[33]=xplogs.xpqh[43]=xplogs.xpqh[53]=9;
            xplogs.xpqm[13]=xplogs.xpqm[23]=xplogs.xpqm[33]=xplogs.xpqm[43]=xplogs.xpqm[53]=0;
            xplogs.xpqr[13]=xplogs.xpqr[23]=xplogs.xpqr[33]=xplogs.xpqr[43]=xplogs.xpqr[53]=90.00;
            xplogs.xpqc[13]=xplogs.xpqc[23]=xplogs.xpqc[33]=xplogs.xpqc[43]=xplogs.xpqc[53]=12.00;
            xplogs.xpqh[14]=xplogs.xpqh[24]=xplogs.xpqh[34]=xplogs.xpqh[44]=xplogs.xpqh[54]=18;
            xplogs.xpqm[14]=xplogs.xpqm[24]=xplogs.xpqm[34]=xplogs.xpqm[44]=xplogs.xpqm[54]=0;
            xplogs.xpqr[14]=xplogs.xpqr[24]=xplogs.xpqr[34]=xplogs.xpqr[44]=xplogs.xpqr[54]=150.00;
            xplogs.xpqc[14]=xplogs.xpqc[24]=xplogs.xpqc[34]=xplogs.xpqc[44]=xplogs.xpqc[54]=12.00;
            xplogs.xpqh[15]=xplogs.xpqh[25]=xplogs.xpqh[35]=xplogs.xpqh[45]=xplogs.xpqh[55]=21;
            xplogs.xpqm[15]=xplogs.xpqm[25]=xplogs.xpqm[35]=xplogs.xpqm[45]=xplogs.xpqm[55]=0;
            xplogs.xpqr[15]=xplogs.xpqr[25]=xplogs.xpqr[35]=xplogs.xpqr[45]=xplogs.xpqr[55]=240.00;
            xplogs.xpqc[15]=xplogs.xpqc[25]=xplogs.xpqc[35]=xplogs.xpqc[45]=xplogs.xpqc[55]=12.00;

            xplogs.xpqh[1]=xplogs.xpqh[61]=0;
            xplogs.xpqm[1]=xplogs.xpqm[61]=0;
            xplogs.xpqr[1]=xplogs.xpqr[61]=240.00;
            xplogs.xpqc[1]=xplogs.xpqc[61]=12.00;
            xplogs.xpqh[2]=xplogs.xpqh[62]=5;
            xplogs.xpqm[2]=xplogs.xpqm[62]=0;
            xplogs.xpqr[2]=xplogs.xpqr[62]=150.00;
            xplogs.xpqc[2]=xplogs.xpqc[62]=12.00;
            xplogs.xpqh[3]=xplogs.xpqh[63]=21;
            xplogs.xpqm[3]=xplogs.xpqm[63]=0;
            xplogs.xpqr[3]=xplogs.xpqr[63]=240.00;
            xplogs.xpqc[3]=xplogs.xpqc[63]=12.00;
         }

         /* DE-T-Online T-Net Regional */
         else if (a == 17)
         {
            xplogs.xpqh[11]=xplogs.xpqh[21]=xplogs.xpqh[31]=xplogs.xpqh[41]=xplogs.xpqh[51]=0;
            xplogs.xpqm[11]=xplogs.xpqm[21]=xplogs.xpqm[31]=xplogs.xpqm[41]=xplogs.xpqm[51]=0;
            xplogs.xpqr[11]=xplogs.xpqr[21]=xplogs.xpqr[31]=xplogs.xpqr[41]=xplogs.xpqr[51]=60.00;
            xplogs.xpqc[11]=xplogs.xpqc[21]=xplogs.xpqc[31]=xplogs.xpqc[41]=xplogs.xpqc[51]=12.00;
            xplogs.xpqh[12]=xplogs.xpqh[22]=xplogs.xpqh[32]=xplogs.xpqh[42]=xplogs.xpqh[52]=2;
            xplogs.xpqm[12]=xplogs.xpqm[22]=xplogs.xpqm[32]=xplogs.xpqm[42]=xplogs.xpqm[52]=0;
            xplogs.xpqr[12]=xplogs.xpqr[22]=xplogs.xpqr[32]=xplogs.xpqr[42]=xplogs.xpqr[52]=120.00;
            xplogs.xpqc[12]=xplogs.xpqc[22]=xplogs.xpqc[32]=xplogs.xpqc[42]=xplogs.xpqc[52]=12.00;
            xplogs.xpqh[13]=xplogs.xpqh[23]=xplogs.xpqh[33]=xplogs.xpqh[43]=xplogs.xpqh[53]=5;
            xplogs.xpqm[13]=xplogs.xpqm[23]=xplogs.xpqm[33]=xplogs.xpqm[43]=xplogs.xpqm[53]=0;
            xplogs.xpqr[13]=xplogs.xpqr[23]=xplogs.xpqr[33]=xplogs.xpqr[43]=xplogs.xpqr[53]=60.00;
            xplogs.xpqc[13]=xplogs.xpqc[23]=xplogs.xpqc[33]=xplogs.xpqc[43]=xplogs.xpqc[53]=12.00;
            xplogs.xpqh[14]=xplogs.xpqh[24]=xplogs.xpqh[34]=xplogs.xpqh[44]=xplogs.xpqh[54]=9;
            xplogs.xpqm[14]=xplogs.xpqm[24]=xplogs.xpqm[34]=xplogs.xpqm[44]=xplogs.xpqm[54]=0;
            xplogs.xpqr[14]=xplogs.xpqr[24]=xplogs.xpqr[34]=xplogs.xpqr[44]=xplogs.xpqr[54]=60.00;
            xplogs.xpqc[14]=xplogs.xpqc[24]=xplogs.xpqc[34]=xplogs.xpqc[44]=xplogs.xpqc[54]=24.00;
            xplogs.xpqh[15]=xplogs.xpqh[25]=xplogs.xpqh[35]=xplogs.xpqh[45]=xplogs.xpqh[55]=18;
            xplogs.xpqm[15]=xplogs.xpqm[25]=xplogs.xpqm[35]=xplogs.xpqm[45]=xplogs.xpqm[55]=0;
            xplogs.xpqr[15]=xplogs.xpqr[25]=xplogs.xpqr[35]=xplogs.xpqr[45]=xplogs.xpqr[55]=60.00;
            xplogs.xpqc[15]=xplogs.xpqc[25]=xplogs.xpqc[35]=xplogs.xpqc[45]=xplogs.xpqc[55]=12.00;

            xplogs.xpqh[1]=xplogs.xpqh[61]=0;
            xplogs.xpqm[1]=xplogs.xpqm[61]=0;
            xplogs.xpqr[1]=xplogs.xpqr[61]=60.00;
            xplogs.xpqc[1]=xplogs.xpqc[61]=12.00;
         }

         /* DE-T-Online T-Net Deutschland */
         else if (a == 18)
         {
            xplogs.xpqh[11]=xplogs.xpqh[21]=xplogs.xpqh[31]=xplogs.xpqh[41]=xplogs.xpqh[51]=0;
            xplogs.xpqm[11]=xplogs.xpqm[21]=xplogs.xpqm[31]=xplogs.xpqm[41]=xplogs.xpqm[51]=0;
            xplogs.xpqr[11]=xplogs.xpqr[21]=xplogs.xpqr[31]=xplogs.xpqr[41]=xplogs.xpqr[51]=120.00;
            xplogs.xpqc[11]=xplogs.xpqc[21]=xplogs.xpqc[31]=xplogs.xpqc[41]=xplogs.xpqc[51]=12.00;
            xplogs.xpqh[12]=xplogs.xpqh[22]=xplogs.xpqh[32]=xplogs.xpqh[42]=xplogs.xpqh[52]=5;
            xplogs.xpqm[12]=xplogs.xpqm[22]=xplogs.xpqm[32]=xplogs.xpqm[42]=xplogs.xpqm[52]=0;
            xplogs.xpqr[12]=xplogs.xpqr[22]=xplogs.xpqr[32]=xplogs.xpqr[42]=xplogs.xpqr[52]=60.00;
            xplogs.xpqc[12]=xplogs.xpqc[22]=xplogs.xpqc[32]=xplogs.xpqc[42]=xplogs.xpqc[52]=12.00;
            xplogs.xpqh[13]=xplogs.xpqh[23]=xplogs.xpqh[33]=xplogs.xpqh[43]=xplogs.xpqh[53]=9;
            xplogs.xpqm[13]=xplogs.xpqm[23]=xplogs.xpqm[33]=xplogs.xpqm[43]=xplogs.xpqm[53]=0;
            xplogs.xpqr[13]=xplogs.xpqr[23]=xplogs.xpqr[33]=xplogs.xpqr[43]=xplogs.xpqr[53]=30.00;
            xplogs.xpqc[13]=xplogs.xpqc[23]=xplogs.xpqc[33]=xplogs.xpqc[43]=xplogs.xpqc[53]=12.00;
            xplogs.xpqh[14]=xplogs.xpqh[24]=xplogs.xpqh[34]=xplogs.xpqh[44]=xplogs.xpqh[54]=18;
            xplogs.xpqm[14]=xplogs.xpqm[24]=xplogs.xpqm[34]=xplogs.xpqm[44]=xplogs.xpqm[54]=0;
            xplogs.xpqr[14]=xplogs.xpqr[24]=xplogs.xpqr[34]=xplogs.xpqr[44]=xplogs.xpqr[54]=60.00;
            xplogs.xpqc[14]=xplogs.xpqc[24]=xplogs.xpqc[34]=xplogs.xpqc[44]=xplogs.xpqc[54]=12.00;
            xplogs.xpqh[15]=xplogs.xpqh[25]=xplogs.xpqh[35]=xplogs.xpqh[45]=xplogs.xpqh[55]=21;
            xplogs.xpqm[15]=xplogs.xpqm[25]=xplogs.xpqm[35]=xplogs.xpqm[45]=xplogs.xpqm[55]=0;
            xplogs.xpqr[15]=xplogs.xpqr[25]=xplogs.xpqr[35]=xplogs.xpqr[45]=xplogs.xpqr[55]=120.00;
            xplogs.xpqc[15]=xplogs.xpqc[25]=xplogs.xpqc[35]=xplogs.xpqc[45]=xplogs.xpqc[55]=12.00;

            xplogs.xpqh[1]=xplogs.xpqh[61]=0;
            xplogs.xpqm[1]=xplogs.xpqm[61]=0;
            xplogs.xpqr[1]=xplogs.xpqr[61]=60.00;
            xplogs.xpqc[1]=xplogs.xpqc[61]=12.00;
         }

         /* DE-T-Online T-ISDN City */
         else if (a == 19)
         {
            xplogs.xpqh[11]=xplogs.xpqh[21]=xplogs.xpqh[31]=xplogs.xpqh[41]=xplogs.xpqh[51]=0;
            xplogs.xpqm[11]=xplogs.xpqm[21]=xplogs.xpqm[31]=xplogs.xpqm[41]=xplogs.xpqm[51]=0;
            xplogs.xpqr[11]=xplogs.xpqr[21]=xplogs.xpqr[31]=xplogs.xpqr[41]=xplogs.xpqr[51]=240.00;
            xplogs.xpqc[11]=xplogs.xpqc[21]=xplogs.xpqc[31]=xplogs.xpqc[41]=xplogs.xpqc[51]=12.00;
            xplogs.xpqh[12]=xplogs.xpqh[22]=xplogs.xpqh[32]=xplogs.xpqh[42]=xplogs.xpqh[52]=5;
            xplogs.xpqm[12]=xplogs.xpqm[22]=xplogs.xpqm[32]=xplogs.xpqm[42]=xplogs.xpqm[52]=0;
            xplogs.xpqr[12]=xplogs.xpqr[22]=xplogs.xpqr[32]=xplogs.xpqr[42]=xplogs.xpqr[52]=150.00;
            xplogs.xpqc[12]=xplogs.xpqc[22]=xplogs.xpqc[32]=xplogs.xpqc[42]=xplogs.xpqc[52]=12.00;
            xplogs.xpqh[13]=xplogs.xpqh[23]=xplogs.xpqh[33]=xplogs.xpqh[43]=xplogs.xpqh[53]=9;
            xplogs.xpqm[13]=xplogs.xpqm[23]=xplogs.xpqm[33]=xplogs.xpqm[43]=xplogs.xpqm[53]=0;
            xplogs.xpqr[13]=xplogs.xpqr[23]=xplogs.xpqr[33]=xplogs.xpqr[43]=xplogs.xpqr[53]=90.00;
            xplogs.xpqc[13]=xplogs.xpqc[23]=xplogs.xpqc[33]=xplogs.xpqc[43]=xplogs.xpqc[53]=12.00;
            xplogs.xpqh[14]=xplogs.xpqh[24]=xplogs.xpqh[34]=xplogs.xpqh[44]=xplogs.xpqh[54]=18;
            xplogs.xpqm[14]=xplogs.xpqm[24]=xplogs.xpqm[34]=xplogs.xpqm[44]=xplogs.xpqm[54]=0;
            xplogs.xpqr[14]=xplogs.xpqr[24]=xplogs.xpqr[34]=xplogs.xpqr[44]=xplogs.xpqr[54]=150.00;
            xplogs.xpqc[14]=xplogs.xpqc[24]=xplogs.xpqc[34]=xplogs.xpqc[44]=xplogs.xpqc[54]=12.00;
            xplogs.xpqh[15]=xplogs.xpqh[25]=xplogs.xpqh[35]=xplogs.xpqh[45]=xplogs.xpqh[55]=21;
            xplogs.xpqm[15]=xplogs.xpqm[25]=xplogs.xpqm[35]=xplogs.xpqm[45]=xplogs.xpqm[55]=0;
            xplogs.xpqr[15]=xplogs.xpqr[25]=xplogs.xpqr[35]=xplogs.xpqr[45]=xplogs.xpqr[55]=240.00;
            xplogs.xpqc[15]=xplogs.xpqc[25]=xplogs.xpqc[35]=xplogs.xpqc[45]=xplogs.xpqc[55]=12.00;

            xplogs.xpqh[1]=xplogs.xpqh[61]=0;
            xplogs.xpqm[1]=xplogs.xpqm[61]=0;
            xplogs.xpqr[1]=xplogs.xpqr[61]=240.00;
            xplogs.xpqc[1]=xplogs.xpqc[61]=12.00;
            xplogs.xpqh[2]=xplogs.xpqh[62]=5;
            xplogs.xpqm[2]=xplogs.xpqm[62]=0;
            xplogs.xpqr[2]=xplogs.xpqr[62]=150.00;
            xplogs.xpqc[2]=xplogs.xpqc[62]=12.00;
            xplogs.xpqh[3]=xplogs.xpqh[63]=21;
            xplogs.xpqm[3]=xplogs.xpqm[63]=0;
            xplogs.xpqr[3]=xplogs.xpqr[63]=240.00;
            xplogs.xpqc[3]=xplogs.xpqc[63]=12.00;
         }

         /* DE-T-Online T-ISDN Deutschland */
         else if (a == 20)
         {
            xplogs.xpqh[11]=xplogs.xpqh[21]=xplogs.xpqh[31]=xplogs.xpqh[41]=xplogs.xpqh[51]=0;
            xplogs.xpqm[11]=xplogs.xpqm[21]=xplogs.xpqm[31]=xplogs.xpqm[41]=xplogs.xpqm[51]=0;
            xplogs.xpqr[11]=xplogs.xpqr[21]=xplogs.xpqr[31]=xplogs.xpqr[41]=xplogs.xpqr[51]=60.00;
            xplogs.xpqc[11]=xplogs.xpqc[21]=xplogs.xpqc[31]=xplogs.xpqc[41]=xplogs.xpqc[51]=6.00;
            xplogs.xpqh[12]=xplogs.xpqh[22]=xplogs.xpqh[32]=xplogs.xpqh[42]=xplogs.xpqh[52]=6;
            xplogs.xpqm[12]=xplogs.xpqm[22]=xplogs.xpqm[32]=xplogs.xpqm[42]=xplogs.xpqm[52]=0;
            xplogs.xpqr[12]=xplogs.xpqr[22]=xplogs.xpqr[32]=xplogs.xpqr[42]=xplogs.xpqr[52]=60.00;
            xplogs.xpqc[12]=xplogs.xpqc[22]=xplogs.xpqc[32]=xplogs.xpqc[42]=xplogs.xpqc[52]=12.00;
            xplogs.xpqh[13]=xplogs.xpqh[23]=xplogs.xpqh[33]=xplogs.xpqh[43]=xplogs.xpqh[53]=9;
            xplogs.xpqm[13]=xplogs.xpqm[23]=xplogs.xpqm[33]=xplogs.xpqm[43]=xplogs.xpqm[53]=0;
            xplogs.xpqr[13]=xplogs.xpqr[23]=xplogs.xpqr[33]=xplogs.xpqr[43]=xplogs.xpqr[53]=60.00;
            xplogs.xpqc[13]=xplogs.xpqc[23]=xplogs.xpqc[33]=xplogs.xpqc[43]=xplogs.xpqc[53]=24.00;
            xplogs.xpqh[14]=xplogs.xpqh[24]=xplogs.xpqh[34]=xplogs.xpqh[44]=xplogs.xpqh[54]=18;
            xplogs.xpqm[14]=xplogs.xpqm[24]=xplogs.xpqm[34]=xplogs.xpqm[44]=xplogs.xpqm[54]=0;
            xplogs.xpqr[14]=xplogs.xpqr[24]=xplogs.xpqr[34]=xplogs.xpqr[44]=xplogs.xpqr[54]=60.00;
            xplogs.xpqc[14]=xplogs.xpqc[24]=xplogs.xpqc[34]=xplogs.xpqc[44]=xplogs.xpqc[54]=12.00;
            xplogs.xpqh[15]=xplogs.xpqh[25]=xplogs.xpqh[35]=xplogs.xpqh[45]=xplogs.xpqh[55]=21;
            xplogs.xpqm[15]=xplogs.xpqm[25]=xplogs.xpqm[35]=xplogs.xpqm[45]=xplogs.xpqm[55]=0;
            xplogs.xpqr[15]=xplogs.xpqr[25]=xplogs.xpqr[35]=xplogs.xpqr[45]=xplogs.xpqr[55]=60.00;
            xplogs.xpqc[15]=xplogs.xpqc[25]=xplogs.xpqc[35]=xplogs.xpqc[45]=xplogs.xpqc[55]=6.00;

            xplogs.xpqh[1]=xplogs.xpqh[61]=0;
            xplogs.xpqm[1]=xplogs.xpqm[61]=0;
            xplogs.xpqr[1]=xplogs.xpqr[61]=60.00;
            xplogs.xpqc[1]=xplogs.xpqc[61]=6.00;
            xplogs.xpqh[2]=xplogs.xpqh[62]=6;
            xplogs.xpqm[2]=xplogs.xpqm[62]=0;
            xplogs.xpqr[2]=xplogs.xpqr[62]=60.00;
            xplogs.xpqc[2]=xplogs.xpqc[62]=12.00;
            xplogs.xpqh[3]=xplogs.xpqh[63]=21;
            xplogs.xpqm[3]=xplogs.xpqm[63]=0;
            xplogs.xpqr[3]=xplogs.xpqr[63]=60.00;
            xplogs.xpqc[3]=xplogs.xpqc[63]=6.00;
         }

         /* DE-T-Online AktivPlus City */
         else if (a == 21)
         {
            xplogs.xpqh[11]=xplogs.xpqh[21]=xplogs.xpqh[31]=xplogs.xpqh[41]=xplogs.xpqh[51]=0;
            xplogs.xpqm[11]=xplogs.xpqm[21]=xplogs.xpqm[31]=xplogs.xpqm[41]=xplogs.xpqm[51]=0;
            xplogs.xpqr[11]=xplogs.xpqr[21]=xplogs.xpqr[31]=xplogs.xpqr[41]=xplogs.xpqr[51]=60.00;
            xplogs.xpqc[11]=xplogs.xpqc[21]=xplogs.xpqc[31]=xplogs.xpqc[41]=xplogs.xpqc[51]=3.00;
            xplogs.xpqh[12]=xplogs.xpqh[22]=xplogs.xpqh[32]=xplogs.xpqh[42]=xplogs.xpqh[52]=9;
            xplogs.xpqm[12]=xplogs.xpqm[22]=xplogs.xpqm[32]=xplogs.xpqm[42]=xplogs.xpqm[52]=0;
            xplogs.xpqr[12]=xplogs.xpqr[22]=xplogs.xpqr[32]=xplogs.xpqr[42]=xplogs.xpqr[52]=60.00;
            xplogs.xpqc[12]=xplogs.xpqc[22]=xplogs.xpqc[32]=xplogs.xpqc[42]=xplogs.xpqc[52]=6.00;
            xplogs.xpqh[13]=xplogs.xpqh[23]=xplogs.xpqh[33]=xplogs.xpqh[43]=xplogs.xpqh[53]=18;
            xplogs.xpqm[13]=xplogs.xpqm[23]=xplogs.xpqm[33]=xplogs.xpqm[43]=xplogs.xpqm[53]=0;
            xplogs.xpqr[13]=xplogs.xpqr[23]=xplogs.xpqr[33]=xplogs.xpqr[43]=xplogs.xpqr[53]=60.00;
            xplogs.xpqc[13]=xplogs.xpqc[23]=xplogs.xpqc[33]=xplogs.xpqc[43]=xplogs.xpqc[53]=3.00;

            xplogs.xpqh[1]=xplogs.xpqh[61]=0;
            xplogs.xpqm[1]=xplogs.xpqm[61]=0;
            xplogs.xpqr[1]=xplogs.xpqr[61]=60.00;
            xplogs.xpqc[1]=xplogs.xpqc[61]=3.00;
         }

         /* Telefongebhren Stand: 1.1.00 */
         /* DE-T-Online AktivPlus Deutschland */
         else if (a == 22)
         {
            xplogs.xpqh[11]=xplogs.xpqh[21]=xplogs.xpqh[31]=xplogs.xpqh[41]=xplogs.xpqh[51]=0;
            xplogs.xpqm[11]=xplogs.xpqm[21]=xplogs.xpqm[31]=xplogs.xpqm[41]=xplogs.xpqm[51]=0;
            xplogs.xpqr[11]=xplogs.xpqr[21]=xplogs.xpqr[31]=xplogs.xpqr[41]=xplogs.xpqr[51]=60.00;
            xplogs.xpqc[11]=xplogs.xpqc[21]=xplogs.xpqc[31]=xplogs.xpqc[41]=xplogs.xpqc[51]=6.00;
            xplogs.xpqh[12]=xplogs.xpqh[22]=xplogs.xpqh[32]=xplogs.xpqh[42]=xplogs.xpqh[52]=9;
            xplogs.xpqm[12]=xplogs.xpqm[22]=xplogs.xpqm[32]=xplogs.xpqm[42]=xplogs.xpqm[52]=0;
            xplogs.xpqr[12]=xplogs.xpqr[22]=xplogs.xpqr[32]=xplogs.xpqr[42]=xplogs.xpqr[52]=60.00;
            xplogs.xpqc[12]=xplogs.xpqc[22]=xplogs.xpqc[32]=xplogs.xpqc[42]=xplogs.xpqc[52]=12.00;
            xplogs.xpqh[13]=xplogs.xpqh[23]=xplogs.xpqh[33]=xplogs.xpqh[43]=xplogs.xpqh[53]=18;
            xplogs.xpqm[13]=xplogs.xpqm[23]=xplogs.xpqm[33]=xplogs.xpqm[43]=xplogs.xpqm[53]=0;
            xplogs.xpqr[13]=xplogs.xpqr[23]=xplogs.xpqr[33]=xplogs.xpqr[43]=xplogs.xpqr[53]=60.00;
            xplogs.xpqc[13]=xplogs.xpqc[23]=xplogs.xpqc[33]=xplogs.xpqc[43]=xplogs.xpqc[53]=6.00;

            xplogs.xpqh[1]=xplogs.xpqh[61]=0;
            xplogs.xpqm[1]=xplogs.xpqm[61]=0;
            xplogs.xpqr[1]=xplogs.xpqr[61]=60.00;
            xplogs.xpqc[1]=xplogs.xpqc[61]=6.00;
         }

         /* DE-T-Online AktivPlus Ausland */
         else if (a == 23)
         {
            xplogs.xpqh[1]=xplogs.xpqh[11]=xplogs.xpqh[21]=xplogs.xpqh[31]=xplogs.xpqh[41]=xplogs.xpqh[51]=xplogs.xpqh[61]=0;
            xplogs.xpqm[1]=xplogs.xpqm[11]=xplogs.xpqm[21]=xplogs.xpqm[31]=xplogs.xpqm[41]=xplogs.xpqm[51]=xplogs.xpqm[61]=0;
            xplogs.xpqr[1]=xplogs.xpqr[11]=xplogs.xpqr[21]=xplogs.xpqr[31]=xplogs.xpqr[41]=xplogs.xpqr[51]=xplogs.xpqr[61]=60.00;
            xplogs.xpqc[1]=xplogs.xpqc[11]=xplogs.xpqc[21]=xplogs.xpqc[31]=xplogs.xpqc[41]=xplogs.xpqc[51]=xplogs.xpqc[61]=39.00;
         }

      }

      /* Exit */
      if (xpGR.obj == xpGR.QPLexit)
      {
         xpGR.ready=1;
      }

   }

   fl_hide_form(xpGR.form);

   return;
}

void lfconvert(void)
{
   /* LogFileConvert GUI definition */
   struct xplLFConvert xplLFC;

  int a,aa=0;

   /* Filehandle */
   FILE *fh,*fhh;

   /* Time Vars */
   long atime;
   struct tm atm;
   int lfyear;

   struct stat     statpuff;
   struct dirent   *direntz;
   DIR             *dirz;

   /* Path Datas */
   const char *strdat;
   char Pfad[1024]="";
   char Pfadd[1024]="";
   char Pfaddd[1024]="";

   /* Log Entry */
   char Entry[256]="";

   xplLFC.form = fl_bgn_form(FL_UP_BOX,350,350);

   fl_set_border_width(2);

   /* Browser */
   xplLFC.viewfield = fl_add_browser(FL_HOLD_BROWSER,8,8,334,282,"");
   fl_set_browser_fontsize(xplLFC.viewfield,FL_NORMAL_FONT);
   fl_set_browser_fontstyle(xplLFC.viewfield,FL_FIXED_STYLE);

   /* Browser Entrys */
   /* Open Directory */
   strcpy(Pfad,"/var/log/");

   if ( (dirz = opendir(Pfad)) != NULL)
   {
      while ( (direntz = readdir(dirz)) != NULL)
      {
         if (strcmp(direntz->d_name,".") )
         {
            strcpy(Pfadd,Pfad);
            strcat(Pfadd,direntz->d_name);

            /* Fileatribute ? */
            if (lstat(Pfadd,&statpuff) == 0)
            {
               /* Drawer ? */
               if (S_ISDIR(statpuff.st_mode) == 0)
               {
                  /* File */
                  if (strstr(direntz->d_name,"message") != NULL)
                  {
                     fl_add_browser_line(xplLFC.viewfield,direntz->d_name);
                  }
               }
            }
         }
      }
      closedir(dirz);
   }
   xplLFC.QPLstatframe = fl_add_box(FL_DOWN_BOX,10,316-24,330,20,"");
   xplLFC.QPLframe = fl_add_frame(FL_DOWN_FRAME,10,316,330,24,"");
   /* Year */
   xplLFC.QPLjear =  fl_add_input(FL_INT_INPUT,60,318,40,20,_xpl_year);
   /* actual date */
   atime = time(0);
   atm = *localtime(&atime);
   lfyear = atm.tm_year +1900;
   strdat = IntStr(lfyear);
   strcpy(Pfadd,strdat);
   fl_set_input(xplLFC.QPLjear,Pfadd);

   xplLFC.QPLimport = fl_add_button(FL_NORMAL_BUTTON,112,318,80,20,_xpl_importlf);
   xplLFC.QPLexit = fl_add_button(FL_NORMAL_BUTTON,194,318,60,20,_xpl_exit);
   xplLFC.QPLdellog = fl_add_button(FL_NORMAL_BUTTON,256,318,82,20,_xpl_clearlf);

   strcpy(Pfadd,"");

   fl_end_form();

   fl_show_form(xplLFC.form,FL_PLACE_CENTER,FL_TRANSIENT,_xpl_wintitle);

   xplLFC.ready=0;
   while (xplLFC.ready == 0)
   {
      xplLFC.obj = fl_do_forms();

      fl_set_object_label(xplLFC.QPLstatframe,"");

      /* Message Logfile */
      if (xplLFC.obj == xplLFC.viewfield)
      {
         a = fl_get_browser(xplLFC.viewfield);
         strcpy(Pfadd,"/var/log/");
         strdat = fl_get_browser_line(xplLFC.viewfield,a);
         strcat(Pfadd,strdat);
      }

      /* Year */
      if (xplLFC.obj == xplLFC.QPLjear)
      {
         strdat = fl_get_input(xplLFC.QPLjear);
         strcpy(Pfadd,strdat);
         lfyear = atoi(Pfadd);
         strdat = IntStr(lfyear);
         strcpy(Pfadd,strdat);
         fl_set_input(xplLFC.QPLjear,Pfadd);
      }

      /* Import Logfile */
      if (xplLFC.obj == xplLFC.QPLimport)
      {
         /* GZ-Crunched-Files */
         strdat = strMids(Pfadd,strlen(Pfadd)-1,2);
         strcpy(Pfaddd,strdat);
         if (strcmp(Pfaddd,"gz")==0)
         {
            strcpy(Pfaddd,"gunzip -cd ");
            strcat(Pfaddd,Pfadd);
            strcat(Pfaddd," >/tmp/message.tmp");
            a=system(Pfaddd);
            strcpy(Pfadd,"/tmp/message.tmp");
            chmod(Pfadd,S_IRUSR|S_IWUSR);
         }

         /* Logfile Scanner */
         if ((fh=fopen(Pfadd,"r"))!=NULL)
         {
            while (fgets(Pfaddd,255,fh)!=NULL)
            {
               memmove((Pfaddd+strlen(Pfaddd))-1,(Pfaddd+strlen(Pfaddd)),1);

               if (strstr(Pfaddd,"CONNECT -- got it") != NULL)
               {
                  strdat = strDate(Pfaddd,lfyear);
                  strcpy(Entry,strdat);
                  strcat(Entry," - ");
                  aa=1;
               }
               if (strstr(Pfaddd,"Connection terminated") != NULL)
               {
                  if (aa==1)
                  {
                     strdat = strDate(Pfaddd,lfyear);
                     strcat(Entry,strdat);
                     strcat(Entry," ");
                     strcat(Entry,xplogs.provider);
                     aa=2;
                  }
               }
               if (strstr(Pfaddd,"Connect script failed") != NULL)
               {
                  if (aa==1)
                  {
                     strdat = strDate(Pfaddd,lfyear);
                     strcat(Entry,strdat);
                     strcat(Entry," ");
                     strcat(Entry,xplogs.provider);
                     aa=2;
                  }
               }

               /* wrote logentry */
               if (aa==2)
               {
                  /* create logfile path */
                  strcpy(Pfaddd,xpuser);
                  strcat(Pfaddd,"/.xplog.log");
                  strcat(Entry,"\n");

                  /* write into logfile */
                  if ((fhh=fopen(Pfaddd,"ab"))!=NULL)
                  {
                     a=fputs(Entry,fhh);
                     fclose(fhh);
                     chmod(Pfaddd,S_IRUSR|S_IWUSR);
                  }
                  aa=0;
               }

            }
            fclose(fh);

         }

         /* Tmp-File Size 0 Bytes */
         strcpy(Pfadd,"/tmp/message.tmp");
         if ((fh=fopen(Pfadd,"w"))!=NULL)
         {
            fclose(fh);
            chmod(Pfadd,S_IRUSR|S_IWUSR);
         }

         fl_set_object_label(xplLFC.QPLstatframe,_xpl_lfmessage);
      }

      /* Clear .xplog.log */
      if (xplLFC.obj == xplLFC.QPLdellog)
      {
         /* create preffile path */
         strcpy(Pfad,xpuser);
         strcat(Pfad,"/.xplog.log");
         /* write into logfile */
         if ((fh=fopen(Pfad,"w"))!=NULL)
         {
            fclose(fh);
            chmod(Pfad,S_IRUSR|S_IWUSR);
         }
         fl_set_object_label(xplLFC.QPLstatframe,_xpl_lfdelete);
      }

      /* Exit */
      if (xplLFC.obj == xplLFC.QPLexit)
      {
         xplLFC.ready=1;
      }

   }

   fl_hide_form(xplLFC.form);

   return;
}

/* Export Rates Datas */
void exportrates(void)
{
  const char *strdat;
  char APuffer[256],BPuffer[80];
  /* Filehandle */
  FILE *fh;
  int a,b;

  /* Fileselect */
  strdat = fl_show_fselector("Export",xpuser,"*.*","xplog.export");
  if (strdat != NULL)
    {
      strcpy(APuffer,strdat);

      /* Init */
      for (a=1 ; a<=10 ; a++)
        {
          for (b=1 ; b<=9 ; b++)
            {
              xpie.xieh[a+(10*(b-1))]=xplogs.xpqh[a+(10*(b-1))];
              xpie.xiem[a+(10*(b-1))]=xplogs.xpqm[a+(10*(b-1))];
              xpie.xier[a+(10*(b-1))]=xplogs.xpqr[a+(10*(b-1))];
              xpie.xiec[a+(10*(b-1))]=xplogs.xpqc[a+(10*(b-1))];
            }
        }

      /* write into logfile */
      if ((fh=fopen(APuffer,"w"))!=NULL)
        {
          strcpy(BPuffer,"IE1.00\n");
          a=fputs(BPuffer,fh);

          a=fwrite(&xpie,sizeof(iedata),1,fh);

          fclose(fh);
          chmod(APuffer,S_IRUSR|S_IWUSR);
        }

    }

  return;
}

/* Import Rates Datas */
void importrates(void)
{
  const char *strdat;
  char APuffer[256],BPuffer[80];
  /* Filehandle */
  FILE *fh;
  int a,b;

  /* Fileselect */
  strdat = fl_show_fselector("Import",xpuser,"*.*","xplog.export");
  if (strdat != NULL)
    {
      strcpy(APuffer,strdat);

      /* read file */
      if ((fh=fopen(APuffer,"r"))!=NULL)
        {
          if (fgets(BPuffer,255,fh)!=NULL)
            {
              memmove((BPuffer+strlen(BPuffer))-1,(BPuffer+strlen(BPuffer)),1);
            }

          /* Import/Export File V1.00 */
          if (strcmp(BPuffer,"IE1.00")==0)
            {
              a=fread(&xpie,sizeof(iedata),1,fh);
              /* Init */
              for (a=1 ; a<=10 ; a++)
                {
                  for (b=1 ; b<=9 ; b++)
                    {
                      xplogs.xpqh[a+(10*(b-1))]=xpie.xieh[a+(10*(b-1))];
                      xplogs.xpqm[a+(10*(b-1))]=xpie.xiem[a+(10*(b-1))];
                      xplogs.xpqr[a+(10*(b-1))]=xpie.xier[a+(10*(b-1))];
                      xplogs.xpqc[a+(10*(b-1))]=xpie.xiec[a+(10*(b-1))];
                    }
                }
            }

          fclose(fh);
          chmod(APuffer,S_IRUSR|S_IWUSR);
        }

    }

  return;
}
